;---------------------------------------------------------------------------
; Format:
; [Statedef STATENO]
; type = ?      S/C/A/L  stand/crouch/air/liedown
; movetype = ?  I/A/H    idle/attack/gethit
; physics = ?   S/C/A/N  stand/crouch/air/none
; juggle = ?             air juggle points move requires
;
; [State STATENO, ?]     ? - any number you choose
; type = ?
; ...


;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[StateDef -2]

[State -2 Not in Own State]
type = VarSet
trigger1 = var(14) != (GameTime * 2 + 1)
var(14) = 0
ignorehitpause = 1
persistent = 1

; 10p
[State -2, 10p activated incorrectly]
type = VarSet
trigger1 = var(50) & 2048
trigger1 = TeamMode != Simul
var(50) = var(50) - (var(50) & 2048)
ignorehitpause = 1

[State -2, 10p Infinite Meter]
type = PowerAdd
trigger1 = var(50) & 2048
value = PowerMax
ignorehitpause = 1

[State -2, 10p Match Partner Life]
type = LifeSet
trigger1 = var(50) & 2048
trigger1 = partner, Alive
; Convert partner life range
trigger1 = 1 || (var(9) := ((partner, life * LifeMax) / partner, LifeMax))
; At least 1 life
trigger1 = 1 || Cond(var(9) < 1, (var(9) := 1), 1)
value = var(9)

[State -2, 10p Die]
type = LifeSet
trigger1 = var(50) & 2048
trigger1 = !(partner, Alive)
value = 0

[State -2, 10p Invincible]
type = NotHitBy
trigger1 = var(50) & 2048
trigger1 = Alive
value = SCA
ignorehitpause = 1

[State -1, Should be in meter battery mode]
type = ChangeState
triggerall = RoundState = [1,2]
triggerall = TeamMode = Simul
trigger1 = (var(50) & 2048)
trigger1 = StateNo != [190,192]
trigger1 = StateNo != [196,197]
value = 196

; 11p/12p
[State -2, 12p Infinite Meter]
type = PowerAdd
trigger1 = PalNo = 12
value = PowerMax

[State -2, 12p Glow Cancel]
type = PalFX
triggerall = PalNo = 11
triggerall = var(50) & 1024
triggerall = StateNo != 198
;triggerall = MoveType = I
trigger1 = !AILevel
trigger1 = 1 || (var(50) := (var(50) - (var(50) & 1024))) ; Turn off using palette flag
add = 0, 0, 0
time = -1
persistent = 1

[State -2, 12p Glow]
type = PalFX
triggerall = PalNo = [11,12]
triggerall = AILevel || (PalNo = 12)
triggerall = StateNo != 198
trigger1 = GameTime % 48 = 0
trigger1 = MoveType != H
trigger1 = 1 || (var(50) := (var(50) | 1024)) ; Turn on using palette flag
add = 12, 8, 4
sinadd = 28, 24, 20, 48
time = -1
persistent = 1

; Power Charge safety
[State -2, Reduce number of times hit out of power charge on win]
type = VarSet
triggerall = var(7)
trigger1 = (var(50) & 7)
trigger1 = time = 1
trigger1 = RoundState = 4
trigger1 = Win ; Life
var(50) = var(50) - 1

[State -1, Count times hit out of power charge]
type = VarSet
triggerall = var(7)
triggerall = (var(50) & 512)
trigger1 = (var(50) & 7) < 7
trigger1 = time = 0
trigger1 = MoveType = H
trigger1 = StateNo != [120,155] ; Actually hit
trigger1 = PrevStateNo = 198 || PrevStateNo = 199
var(50) = var(50) + 1
ignorehitpause = 1

; Fullscreen projectile aversion
[State -2, Reduce number of times hit out of projectiles on win]
type = VarSet
triggerall = var(7)
trigger1 = var(54) > 0
trigger1 = time = 1
trigger1 = RoundState = 4
trigger1 = Win ; Life
var(54) = var(54) - ifelse(var(54) > 2, 2, var(54))

[State -1, Count times hit out of projectile]
type = VarSet
triggerall = var(7)
triggerall = (var(50) & 512)
triggerall = time = 0
triggerall = MoveType = H
triggerall = StateNo != [120,155] ; Actually hit
; Opponent is effectively at fullscreen
triggerall = P2BodyDist x > 130
; Was in fireball state when hit
trigger1 = PrevStateNo = 1050
; A fireball was on the screen and we got hit anyway
trigger2 = NumProjId(11000)
var(54) = var(54) + 1
ignorehitpause = 1

[State -2, Limit projectile aversion]
type = VarSet
trigger1 = var(54) > 20
var(54) = 20

; Parry Aversion
[State -2, Reduce number of times attacks were parried on win]
type = VarSet
triggerall = var(7)
trigger1 = var(53) > 0
trigger1 = time = 1
trigger1 = RoundState = 4
trigger1 = Win ; Life
var(53) = var(53) - ifelse(var(53) > 4, 4, var(53))

[State -2, Attack reversed]
type = VarSet
triggerall = var(7)
trigger1 = MoveReversed = 1
var(53) = var(53) + 1

[State -2, No target, probably hitoverride]
type = VarSet
triggerall = var(7)
trigger1 = MoveContact = 1
trigger1 = !NumTarget
var(53) = var(53) + 1

[State -2, Counter test]
type = VarSet
triggerall = var(7)
trigger1 = time = 1
; If we're in a custom state
trigger1 = !var(14)
; and were previously in an attack state, we probably got countered
trigger1 = (PrevStateNo = [200,799]) || (PrevStateNo = [1000,1999]) || (PrevStateNo = [3000,4999])
var(53) = var(53) + 1

[State -2, Limit parry aversion]
type = VarSet
trigger1 = var(53) > 20
var(53) = 20

[State -2, Parry aversion minimum]
type = VarSet
trigger1 = var(53) <= 0
var(53) = 0

; Have lost a round flag
[State -2, Lost a Round]
type = VarSet
trigger1 = RoundState >= 3
trigger1 = Lose
; Also trigger if opponent does a sufficiently damaging combo
trigger2 = (var(13) - life) >= (LifeMax * 500 / 1000)
var(50) = var(50) | 8

; Cancel flight variable
[State -2, VarSet]
type = VarSet
trigger1 = movetype = H
trigger2 = p2Life <= 0
var(49) = 0

; Enemy life tracking
[State -2, Enemy(0) Life]
type = VarSet
triggerall = NumEnemy
trigger1 = enemy(0), MoveType != H
trigger2 = enemy(0), StateNo = [120,155]
trigger3 = !enemy(0), alive
var(10) = enemy(0), life

[State -2, Enemy(1) Life]
type = VarSet
triggerall = NumEnemy
trigger1 = enemy(NumEnemy=2), MoveType != H
trigger2 = enemy(NumEnemy=2), StateNo = [120,155]
trigger3 = !enemy(NumEnemy=2), alive
var(11) = enemy(NumEnemy=2), life

; Own life tracking
[State -2, Own Life]
type = VarSet
trigger1 = MoveType != H
trigger2 = StateNo = [120,155]
trigger3 = !Alive
var(13) = life

; Track times hit just after recovery
[State -2, Decrement time since recovery]
type = VarSet
trigger1 = var(12) > -1
trigger1 = MoveType != H
trigger1 = StateType != L
var(12) = var(12) - 1
ignorehitpause = 1

[State -2, Increment times hit just after recovery]
type = VarSet
trigger1 = var(12) > 0
trigger1 = var(12) < 11 ; Have to spend one frame not in a hit state
trigger1 = MoveType = H
trigger1 = StateNo != [120,155] ; Not guarding
trigger1 = 1 || (var(12) := -1) ; Reset timer immediately
var(51) = var(51) + 3
ignorehitpause = 1

[State -2, Decrement times hit if recovered fully]
type = VarSet
trigger1 = var(12) = 0
trigger1 = var(51) > 0
trigger1 = MoveType != H
trigger1 = StateType != L
; If using a super as a reversal, don't reduce the odds of using reversals
trigger1 = StateNo != [3000,4999]
var(51) = var(51) - 1
ignorehitpause = 1

[State -2, Reset knocked down timer]
type = VarSet
trigger1 = MoveType = H
trigger1 = StateType = L
var(12) = 11 ; Set the same vaule as this above
ignorehitpause = 1

; Round start time
[State -2, Time when round actually started]
type = VarSet
triggerall = !var(17)
triggerall = RoundState = 2
triggerall = StateNo != [191,192]
trigger1 = ctrl
trigger2 = var(14) ; In Own State
trigger2 = (StateNo = [200, 799]) || (StateNo = [1000, 1999]) || (StateNo = [3000, 4999])
trigger3 = var(14) ; In Own State
trigger3 = (StateNo = (0, 170)) || (StateNo = [195, 200)) || (StateNo = [800, 999])
trigger4 = var(14) ; In Own State
trigger4 = StateNo >= 5000
trigger4 = StateNo != 5900
var(17) = GameTime
ignorehitpause = 1

; Last time we successfully hit something
[State -2, Time we last hit a target]
type = VarSet
triggerall = RoundState = 2
trigger1 = NumTarget
trigger1 = target, StateNo != [120,155]
var(16) = GameTime
ignorehitpause = 1

; Max j.HP projectiles we've managed to put onscreen
[State -2, Rocks onscreen]
type = VarSet
trigger1 = var(52) < 2
var(52) = 2
ignorehitpause = 1

[State -2, Rocks onscreen against a blocking opponent]
type = VarSet
trigger1 = NumTarget
trigger1 = target, StateNo = [120,155]
trigger1 = var(52) < NumProjId(221)
var(52) = NumProjId(221)
ignorehitpause = 1


[State -2]
type = Afterimage
triggerall = !(var(50) & 2048)
trigger1 = statetype = S && time = 0
trigger2 = statetype = C && time = 0
trigger3 = statetype = A && time = 0
trans = add
paladd = 120,40,0
PalContrast = 200,180,0
PalBright = 50,30,0
palpostbright = 80,0,0
time    =  -1
length  = 20
TimeGap = 1
FrameGap = 1
persistent = 1

[State -2:	Helper]
type			= Helper
triggerall              = var(49) > 1
trigger1		= Time%10 = 0 && (Random < 749)
helpertype		= Normal
name			= "Rock000"
id			= 7032
pos			= 0,0
postype		= p1
facing		= 0
stateno		= 7032
keyctrl		= 0
ownpal		= 1
supermovetime	= 0
pausemovetime	= 0
size.xscale		= (IfElse(Random <= 799,0.75,3))
size.yscale		= (IfElse(Random <= 799,0.75,3))

[State -2:	Helper]
type			= Helper
triggerall              = var(49) > 1
trigger1		= Time%10 = 0 && (Random > 749)
helpertype		= Normal
name			= "Rock001"
id			= 7033
pos			= 0,0
postype		= p1
facing		= 0
stateno		= 7033
keyctrl		= 0
ownpal		= 1
supermovetime	= 0
pausemovetime	= 0
size.xscale		= (IfElse(Random <= 499,0.75,0.50))
size.yscale		= (IfElse(Random <= 499,0.75,0.50))

[State -2, Clipboard]
type = ClearClipboard
trigger1 = 1
ignorehitpause = 1

[State -2, Clipboard Frame Data]
type = null;AppendToClipboard
trigger1 = 1
text="In Attack: %d  Attack Time: %d  Startup: %d  Recovery: %d Advantage: %d\n"
params = var(30), var(31), var(32), var(31) - var(33), ifelse(var(34) > 0, var(34), -(var(31) + var(34)))
;text="%d %d %d %d %d"
;params = var(30), var(31), var(32), var(33), var(34)
ignorehitpause = 1


[State -2, Clipboard]
type = AppendToClipboard
trigger1 = var(7)
text="AILevel:%d  AI Mode: %d  "
params = var(7), var(6)
ignorehitpause = 1

[State -2, Clipboard]
type = AppendToClipboard
trigger1 = var(7)
text="Dangerous enemy:%d"
params = (var(50) & 8) > 0
ignorehitpause = 1

[State -2, Clipboard Flight Target Height]
type = null;AppendToClipboard
trigger1 = (enemynear, pos y - (pos y - (65 - 10))) < (abs(enemynear, pos x - (pos x + facing * 62)) * 2 / 3.0)
text="  Go Higher %d"
params = (enemynear, pos y - (pos y - (65 - 10))) - (abs(enemynear, pos x - (pos x + facing * 62)) * 2 / 3.0)
ignorehitpause = 1
[State -2, Clipboard Flight Target Height]
type = null;AppendToClipboard
trigger1 = (enemynear, pos y - (pos y - (65 - (enemynear, Const(size.height) + 15)))) > (abs(enemynear, pos x - (pos x + facing * 62)) * 2 / 3.0)
text="  Go Lower %d"
params = (enemynear, pos y - (pos y - (65 - (enemynear, Const(size.height) + 15)))) - (abs(enemynear, pos x - (pos x + facing * 62)) * 2 / 3.0)
ignorehitpause = 1

[State -2, Clipboard Target Hitstun]
type = AppendToClipboard
trigger1 = NumTarget
text="  target hittime %d  shaketime %d"
params = (target, GetHitVar(hittime)), (target, GetHitVar(hitshaketime))
ignorehitpause = 1


[State -2, After first frame of being hit]
type = VarSet
trigger1 = MoveType = H
trigger1 = (var(50) & 512)
var(50) = var(50) - (var(50) & 512)
ignorehitpause = 1

[State -2, Not being hit]
type = VarSet
trigger1 = MoveType != H
var(50) = var(50) | 512
ignorehitpause = 1


;---------------------------------------------------------------------------
; States that are executed when in self's state file (use statedef -3)
;---------------------------------------------------------------------------

[StateDef -3]

[State -3 Own State]
type = VarSet
trigger1 = 1
var(14) = GameTime * 2 + 1
ignorehitpause = 1
persistent = 1

; Reset AI mode to default
[State -3, AI Mode]
type = VarSet
; If in a hit state
trigger1 = MoveType = H
; If guarding
trigger2 = StateNo = [120,155]
; Opponent dead
trigger3 = p2life <= 0
var(6) = 0


; Hit with c.MP
[State -2, c.MP success rate]
type = VarSet
triggerall = var(7)
trigger1 = (var(50) & 384) != 384 ; haven't yet landed enough hits
trigger1 = StateNo = 410
trigger1 = NumTarget
; only if opponent is crouching, so checking that is unnecessary during the combo
;trigger1 = target, StateType = C
trigger1 = target, StateType != A && target, StateType != L
trigger1 = MoveContact = 1
var(50) = var(50) + 128

;This controller plays a sound everytime KFM lands from a jump, or
;from his back-dash.
[State -3, Landing Sound]
type = PlaySnd
triggerall = Time = 1
trigger1 = stateno = 52 ;Jump land
trigger2 = stateno = 106 ;Run-back land
value = 40, 0

[State -3, NotHitBy]
type = NotHitBy
trigger1 = NumHelper(1101) != 0
value = SCA

[State -3, 1]
type = VarRandom
trigger1 = StateNo = 5000
trigger1 = time = 1
v = 0

; Ow sound 1
[State -3, Ouch 1]
type = PlaySnd
triggerall = alive
triggerall = time = 1
triggerall = var(0) < 500
trigger1 = stateno = 5001 || stateno = 5011
trigger1 = (anim % 10) != 0
trigger2 = stateno = 5040 || stateno = 5050
trigger2 = random < 500
trigger3 = stateno = 5070
value = 3, 4

; Ow sound 2
[State -3, Ouch 2]
type = Playsnd
triggerall = alive
triggerall = time = 1
triggerall = var(0) >= 500
trigger1 = stateno = 5001 || stateno = 5011
trigger1 = (anim % 10) != 0
trigger2 = stateno = 5040 || stateno = 5050
trigger2 = random < 500
trigger3 = stateno = 5070
value = 3, 5

;---------------------------------------------------------------------------
; Frame Data
[State -3, Frame Data]
type = VarSet
trigger1 = time <= 1
trigger1 = (StateNo != [200, 799]) && (StateNo != [1000, 1999]) && (StateNo != [3000, 4999])
trigger1 = ctrl
var(30) = 0

[State -3, Frame Data]
type = VarSet
trigger1 = var(30)
trigger1 = var(31)
var(31) = var(31) + 1 ; State duration

[State -3, Frame Data]
type = VarSet
trigger1 = var(30)
trigger1 = var(31) < time
var(31) = time ; State duration

[State -3, Frame Data]
type = VarSet
triggerall = var(30)
triggerall = var(33) = 0
trigger1 = !movecontact
trigger1 = numtarget = 0
var(32) = time ; Startup time

[State -3, Frame Data]
type = VarSet
triggerall = var(30)
trigger1 = movecontact = 1
trigger2 = var(33) = 0
trigger2 = NumTarget
trigger3 = !movecontact
trigger3 = NumTarget
trigger3 = target, MoveType = H
trigger3 = target, time = 0
var(33) = var(31) - 1 ; Time of last hit

[State -3, Frame Data]
type = VarSet
trigger1 = var(30)
;trigger1 = movecontact
trigger1 = NumTarget
trigger1 = target, MoveType = H
trigger1 = target, stateno != [120,155]
trigger1 = target, GetHitVar(hittime) >= 0
trigger1 = var(35) := 1 ; Hitstun remaining
var(34) = target, GetHitVar(hittime) ; Target hitstun remaining

[State -3, Frame Data]
type = VarSet
trigger1 = var(30)
;trigger1 = movecontact
trigger1 = NumTarget
trigger1 = target, MoveType = H
trigger1 = target, stateno = [120,155]
trigger1 = (target, GetHitVar(hitshaketime) + target, GetHitVar(ctrltime) - target, time) >= 0
trigger1 = var(35) := 2 ; Blockstun remaining
var(34) = (target, GetHitVar(hitshaketime) + target, GetHitVar(ctrltime) - target, time) ; Target hitstun remaining

[State -3, Frame Data]
type = VarSet
trigger1 = var(30)
trigger1 = var(34) >= 0
;trigger1 = movecontact
trigger1 = NumTarget
trigger1 = target, MoveType = H
trigger1 = target, stateno != [120,155]
trigger1 = target, GetHitVar(hittime) = 0
trigger1 = var(35) := 3 ; Hitstun ended
var(34) = -var(31) ; State time when target recovered

[State -3, Frame Data]
type = VarSet
trigger1 = var(30)
trigger1 = var(34) >= 0
;trigger1 = movecontact
trigger1 = NumTarget
trigger1 = target, MoveType = H
trigger1 = target, stateno = [120,155]
trigger1 = (target, GetHitVar(hitshaketime) + target, GetHitVar(ctrltime) - target, time) = 0
trigger1 = var(35) := 4 ; Blockstun ended
var(34) = -var(31) ; State time when target recovered

[State -3, Frame Data]
type = VarSet
trigger1 = var(30)
trigger1 = var(34) >= 0
trigger1 = movecontact || var(33) > 0
trigger1 = !NumTarget
trigger1 = var(35) := 5 ; Lost target
var(34) = -var(31) ; State time when target recovered

[State -3, Frame Data]
type = VarSet
trigger1 = time <= 1
trigger1 = !var(30)
trigger1 = (StateNo = [200, 799]) || (StateNo = [1000, 1999]) || (StateNo = [3000, 4999])
trigger1 = 1 || (var(31) := 0)
trigger1 = 1 || (var(32) := 0)
trigger1 = 1 || (var(33) := 0)
trigger1 = 1 || (var(34) := 0)
trigger1 = 1 || (var(35) := 0)
var(30) = 1



;---------------------------------------------------------------------------
; Lose by Time Over
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
; Win state decider
[Statedef 180]
type = S

[State 180, 1]
type = ChangeState
trigger1 = Var(20) != 1
trigger1 = 1
value = 181

[State 180, 1]
type = ChangeState
trigger1 = Var(20) = 1
trigger1 = 1
value = 183

;---------------------------------------------------------------------------
; Win pose 1 - Phoenix Transformation
[Statedef 181]
type = A
ctrl = 0
anim = 181
velset = 0,0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 181, 2] ;M'Kron Crystal
type = Helper
trigger1 = Time = 0
ID = 182
name = "M'Kron Crystal"
pos = 0, -280
stateno = 182

[State 181, 3]
type = PlaySnd
trigger1 = AnimElemTime(2) = 0
value = 3100,0

[State 81, 4]
type = Velset
trigger1 = Time = 40
y = -.5

[State 81, 5]
type = VelMul
trigger1 = AnimElem = 2, > 0
y = .98

[State 81, 6]
type = Explod
trigger1 = AnimElemTime(10) = 45
anim = 3103
sprpriority = -2

[State 81, 7]
type = AssertSpecial
trigger1 = time < 300
flag = roundnotover
;--------------------------------------
; finisher Win
[Statedef 183]
type = A
ctrl = 0
anim = 410004
velset = 0,0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 81, 7]
type = AssertSpecial
trigger1 = 1
flag = nobardisplay
flag2 = nomusic

[State 81, 7]
type = AssertSpecial
trigger1 = time < 500
flag = roundnotover
;---------------------------------------------------------------------------
; Win pose 1 - M'Kron Crystal
[Statedef 182]
type = A
ctrl = 0
anim = 182
velset = 0,5
sprpriority = 3

[State 182, 1]
type = VelSet
trigger1 = Time = 40
y = 0

[State 182, 1]
type = BindToParent
trigger1 = Time >= 40
pos = 0,-80

;---------------------------------------------------------------------------
; Introduction
[Statedef 191]
type = S
ctrl = 0
anim = 190
velset = 0,0


[State 191, 1] ;Jean Falling
type = Helper
trigger1 = Time = 0
ID = 192
name = "Phoenix"
pos = 0, -400
stateno = 192

[State 191, 1] ;Freeze animation until PreIntro is over
type = ChangeAnim
trigger1 = RoundState = 0
trigger2 = numHelper(192) != 0
value = 190

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = 1
flag = Intro

[State 191, 3]
type = ChangeAnim
trigger1 = RoundState != 0
trigger1 = numHelper(192) = 0
trigger1 = Anim != 191
value = 191

[State 191, 4] ;Change to stand state when done
type = ChangeState
trigger1 = Anim = 191
trigger1 = AnimTime = 0
value = 0

[State 191, Snd]
type = PlaySnd
trigger1 = Anim = 191
trigger1 = AnimElemTime(1) = 0
value = 191,0

;---------------------------------------------------------------------------
; Introduction - Fall
[Statedef 192]
type = A
ctrl = 0
anim = 192
velset = 0,0

[State 192, 1]
type = VelSet
trigger1 = RoundState != 0
y = 5

[State 192, 1]
type = DestroySelf
trigger1 = Pos Y >= 0

;---------------------------------------------------------------------------
; Taunt
[Statedef 195]
type = S
ctrl = 0
anim = 195
velset = 0,0
movetype = I
physics = S
sprpriority = 2

[State 195, 1]
type = CtrlSet
trigger1 = Time = 40
value = 1

[State 195, 2]
type = PlaySnd
trigger1 = Time = 1
value = 195,0

[State 195, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Meter Battery
[Statedef 196]
type = S
ctrl = 0
anim = 196
velset = 0,0
movetype = I
physics = S
sprpriority = -2

[State 196, Not in meter battery mode]
type = ChangeState
trigger1 = TeamMode != Simul
trigger2 = !(var(50) & 2048)
value = ifelse(pos y < 0, 50, 0)
ctrl = 1

[State 196, End of round]
type = ChangeState
trigger1 = RoundState >= 3
value = 197

[State 196, No pushing]
type = PlayerPush
trigger1 = 1
value = 0

[State 196, No pushing]
type = ScreenBound
trigger1 = 1
value = 0

[State 196, No pushing]
type = Turn
trigger1 = facing != partner, facing

[State 196, Fade out finished]
type = VarSet
trigger1 = time >= 60
var(50) = var(50) | 4096

[State 196, Fade out]
type = Trans
trigger1 = time < 60
trans = addalpha
alpha = ((60 - time) * 224) / 60 + 32, (time * 224) / 60

[State 196, Fade out]
type = Trans
trigger1 = time >= 60
trigger2 = var(50) & 4096
trans = addalpha
alpha = 32, 224

[State 196, Match partner location]
type = PosSet
trigger1 = time < 60
x = ((partner, pos x + facing * -20) * 0.1) + (pos x * 0.9)
y = ((partner, pos y - 20) * 0.1) + (pos y * 0.9)

[State 196, Match partner location]
type = PosSet
trigger1 = time >= 60
trigger2 = var(50) & 4096
;x = partner, pos x
x = ((partner, pos x + facing * -20) * 0.3) + (pos x * 0.7)
y = partner, pos y - 20

[State 196, Cancel AfterImage]
type = Afterimage
trigger1 = 1
time = 0

;---------------------------------------------------------------------------
; Meter Battery End of Round
[Statedef 197]
type = S
ctrl = 0
anim = 196
velset = 0,0
movetype = I
physics = S
sprpriority = -2

[State 196, Not in meter battery mode]
type = ChangeState
trigger1 = TeamMode != Simul
trigger2 = !(var(50) & 2048)
trigger3 = RoundState < 3
value = ifelse(pos y < 0, 50, 0)
ctrl = 1

[State 196, End of round]
type = ChangeState
trigger1 = RoundState >= 3
trigger1 = time >= 60
value = ifelse(pos y < 0, 50, 0)
ctrl = 1

[State 196, No pushing]
type = PlayerPush
trigger1 = 1
value = time >= 30

[State 196, Fade in]
type = Trans
trigger1 = 1
trans = addalpha
alpha = (time * 224) / 60 + 32, ((60 - time) * 224) / 60

[State 196, Cancel AfterImage]
type = Afterimage
trigger1 = 1
time = 0


;---------------------------------------------------------------------------
; Stand Light Punch
[Statedef 200]
type    = S
movetype= A
physics = S
juggle  = 1
ctrl = 0
anim = 200
poweradd = 15
sprpriority = 2

[State 200, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 200, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 3, Hit
damage = 12, 0
pausetime = 8, 8
sparkno = S4000
sparkxy = -10,-71
guard.sparkno = S4023
hitsound = S5,0
guardsound = S6,0
ground.type = High
ground.slidetime = 8
ground.hittime  = 13
ground.velocity = -4
air.velocity = -4,-2
getpower = 13
givepower = 15

[State 200, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing medium punch
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 65
ctrl = 0
anim = 210

[State 210, Width]
type = Width
trigger1 = (AnimElemTime (2) >= 0) && (AnimElemTime (7) < 0)
value = 15,0

[State 210, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 1

[State 210, 2]
type = PlaySnd
trigger1 = AnimElem = 3
value = 200, 0

[State 210, 3]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype  = Medium
damage    = 24
pausetime = 9,9
sparkno = S4001
sparkxy = -10,-64
guard.sparkno = S4023
hitsound = S5,1
guardsound = S6,0
ground.type = High
ground.slidetime = 14
ground.hittime  = 15
ground.velocity = -6
air.velocity = -10,-5

[State 210, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing strong punch
[Statedef 220]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 65
ctrl = 0
anim = 220

[State 220, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 1

[State 0, HitDef]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
animtype = Hard
damage    = 40,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 0,6
sparkno = S3003
guard.sparkno = S4023
sparkxy = 0,-39
hitsound   = S5,3
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = 0
airguard.velocity = -3.5
air.velocity = -2.5,-5.5
air.juggle = 3
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6

[State 220, 1]
type = PlaySnd
trigger1 = AnimElem = 5
value = 0, 1

[State 220, 2]
type = PlaySnd
trigger1 = AnimElem = 4
value = S3, 8

[State 0, HitDef]
type = HitDef
trigger1 = AnimElem = 5
attr = C, NA
animtype = Hard
damage    = 40,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 0,6
sparkno = S3003
guard.sparkno = S4023
sparkxy = 0,-39
hitsound   = S5,3
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -16, -5
airguard.velocity = -3.5
air.velocity = -2.5,-5.5
air.juggle = 3
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6

[state 0, PlaySnd]
type = playSnd
trigger1 = (stateno = 220) && Movehit = 1
value = S2,0

[state 0, PlaySnd]
type = playSnd
trigger1 = (stateno = 220) && Movehit = 1
value = S5,2

[State 2400, 4.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8601
postype = p2
pos = 0,-30
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 2400, 4.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8601
postype = p2
pos = -20,-60
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 220, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing light kick
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 22
ctrl = 0
velset = 0,0
anim = 230
sprpriority = 2

[State 230, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 230, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 26
guardflag = MA
pausetime = 12,12
sparkno = 0
sparkxy = -10,-37
hitsound   = S5,4
guardsound = 6,0
ground.type = Low
ground.slidetime = 10
ground.hittime  = 12
ground.velocity = -5
air.velocity = -2.5,-3.5

[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing medium kick
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= 65
ctrl = 0
velset = 0,0
anim = 240
sprpriority = 2

[State 240, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 240, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 53
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-60
hitsound   = S5,6
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 3]
type = PosAdd
trigger1 = AnimElem = 7
x = 12

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;TK Pop Up
[Statedef 250]
type    = S
movetype= A
physics = S
juggle  = 5
poweradd= 65
ctrl = 0
anim = 90001
sprpriority = 2

[State 450, 1]
type = PlaySnd
trigger1 = AnimElem = 6
value = 10000, 1

[State 450, 3]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
damage    = 75
animtype = Hard
hitflag = MAFD
guardflag = H
pausetime = 8,8
sparkno = S4001
sparkxy = -10,-24
guard.sparkno = S4023
hitsound = S5,3
guardsound = S6,0
ground.type = Low
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = 0,-4
air.veloci1ty = -0.2,-4
fall = 1

[State 0, ]
type = Explod
trigger1 = AnimElem = 1
anim = 90003
pos = 10,0
postype = p1
bindtime = -1
scale = .8,.8
sprpriority = 3
ownpal = 1
removeongethit = 1
removetime = 16

[State 0, EnvColor]
type = EnvColor
trigger1 = AnimElem = 7
value = 255,255,255
time = 2
under = 0
;ignorehitpause =
;persistent =

[State 0, PalFX]
type = PalFX
trigger1 = AnimElem = 7
trigger2 = Time % 4 = 0
time = 2
add = 500,0,500
mul = 256,256,256
;sinadd = 0,0,0,10
invertall = 0
color = 256

[State 0, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 7
value = S10000,2
volume = -10
channel = -1

[State 0, ]
type = Explod
trigger1 = AnimElem = 7
anim = 90002
pos = 10,20
postype = p1
bindtime = -1
scale = 1.2,1.2
sprpriority = 3
ownpal = 1
removeongethit = 1
removetime = 16

[State 450, 3]
type = ChangeState
trigger1 = AnimElem = 9
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light punch
[Statedef 400]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 15
ctrl = 0
anim = 400
sprpriority = 2

[State 400, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 400, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
damage    = 11
priority  = 3
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 9,9
sparkno = S4000
sparkxy = -10,-43
guard.sparkno = S4023
hitsound = S5,0
guardsound = S6,0
ground.type = Low
ground.slidetime = 8
ground.hittime  = 13
ground.velocity = -4
air.velocity = -4,-2
getpower = 13
givepower = 15

[State 400, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching medium punch
[Statedef 410]
type    = C
movetype= A
physics = N
juggle  = 6
poweradd= 50
ctrl = 0
anim = 400
sprpriority = 2

[State 410, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 1

[State 410, 2]
type = PlaySnd
trigger1 = AnimElem = 3
value = 200, 1

[State 410, 5]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
damage    = 24
animtype  = Medium
hitflag = MAF
guardflag = M
pausetime = 9,9
sparkno = S4001
sparkxy = -10,-65
guard.sparkno = S4023
hitsound = S5,1
guardsound = S6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -4
air.velocity = -3,-4

[State 410, c.MP reset success rate]
type = VarSet
triggerall = var(7)
triggerall = var(6) = 6 ; c.MK Infinite
trigger1 = (var(50) & 384)
; First frame after hitbox, if nothing was hit
trigger1 = AnimElem = 4
trigger1 = !MoveContact
var(50) = var(50) - (var(50) & 384) ; Reset c.MP hits

[State 410, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching strong punch
[Statedef 420]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 65
ctrl = 0
anim = 410
sprpriority = 2

[State 420, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 2

[State 410, 3]
type = VelSet
trigger1 = AnimElem = 3
x = 10

[State 410, 4]
type = VelAdd
trigger1 = Vel X > 0
x = 1

[State 0, HitDef]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
damage    = 40,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 8,10
sparkno = S3003
guard.sparkno = S4023
sparkxy = 0,-20
hitsound   = S5,2
guardsound = S6,0
ground.type = High
ground.velocity = 0,-14
guard.slidetime = 12
guard.hittime = 12
guard.velocity = -16
air.velocity = -6,-4
airguard.velocity = -6
fall = 1
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6

[state 0, PlaySnd]
type = playSnd
trigger1 = (stateno = 420) && Movecontact = 1
value = S2,0

[State 2400, 4.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8601
postype = p2
pos = 0,-30
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 2400, 4.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8601
postype = p2
pos = -20,-60
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 420, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light kick
[Statedef 430]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 22
ctrl = 0
anim = 430
sprpriority = 2

[State 430, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 430, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
damage    = 13
animtype  = Light
hitflag = MAFD
guardflag = L
pausetime = 8,8
sparkno = S4000
guard.sparkno = S4023
sparkxy = -10,0
hitsound = S5,4
guardsound = S6,0
ground.type = Low
ground.slidetime = 6
ground.hittime  = 12
ground.velocity = -5
air.velocity = -2,-3
down.velocity = -5,0
down.hittime = 20

[State 430, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouch Medium Kick
[Statedef 440]
type    = C
movetype= A
physics = C
juggle  = 7
poweradd= 70
ctrl = 0
anim = 440
sprpriority = 2

[State 440, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 1

[State 440, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 200, 2

[State 440, 3]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
damage    = 45
animtype = Med
hitflag = MAFD
guardflag = L
pausetime = 8,8
sparkno = S4001
sparkxy = -10,-24
guard.sparkno = S4023
hitsound = S5,6
guardsound = S6,0
ground.type = Low
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -5
air.veloci1ty = -0.2,-4
fall = 0

[State 440, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Crouching strong kick
[Statedef 450]
type    = C
movetype= A
physics = C
juggle  = 5
poweradd= 65
ctrl = 0
velset = 0,0
anim = 250
sprpriority = 2

[State 250, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 0, 2

[State 250, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 1

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
animtype  = Medium
damage    = 45
guardflag = L
pausetime = 5,12
sparkno = 1
sparkxy = -10,-60
hitsound   = S5,5
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 250, 1]
type = PlaySnd
trigger1 = AnimElem = 5
value = 0, 1

[State 250, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 3, 9

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 6
attr = S, NA
animtype  = Hard
damage    = 45
guardflag = L
pausetime = 10,12
sparkno = 1
sparkxy = -10,-60
hitsound   = S5,7
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6, -5
air.velocity = -2.2,-3.2
fall = 1

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Punch
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 1
poweradd= 11
ctrl = 0
anim = 600
sprpriority = 2

[State 600, VelSet]
type = VelSet
trigger1 = var(49)
x = 0
y = 0

[State 600, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 0

[State 600, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
damage    = 10
hitflag = MAF
guardflag = HA
priority = 3
pausetime = 9,9
sparkno = S4000
sparkxy = -10,-88
guard.sparkno = S4023
hitsound = S5,0
guardsound = S6,0
ground.type = High
ground.slidetime = 8
ground.hittime  = 13
ground.velocity = -4
air.velocity = 0,-2
getpower = 13
givepower = 15

[State 600, 3]
type = ChangeState
triggerall = !var(49)
trigger1 = AnimTime = 0
value = 72
ctrl = 1

[State 600, 3]
type = ChangeState
triggerall = var(49)
trigger1 = AnimTime = 0
value = 1702
ctrl = 1

;---------------------------------------------------------------------------
;Jump Medium Punch
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 2
poweradd= 65
ctrl = 0
anim = 610
sprpriority = 2

[State 600, VelSet]
type = VelSet
trigger1 = var(49)
x = 0
y = 0

[State 610, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 610, 2]
type = PlaySnd
trigger1 = AnimElem = 1
value = 200, 1

[State 610, 3]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
damage = 24
priority = 4
pausetime = 9,9
sparkno = S4001
sparkxy = -10,-64
guard.sparkno = S4023
hitsound = S5,1
guardsound = S6,0
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -5
air.velocity = 0,-3

[State 610, 4]
type = ChangeAnim
trigger1 = MoveContact
trigger1 = HitPauseTime = 8
ignorehitpause = 1
persistent = 0
value = 610
elem = 4

[State 610, 5]
type = ChangeState
triggerall = !var(49)
trigger1 = AnimTime = 0
value = 72
ctrl = 1

[State 600, 3]
type = ChangeState
triggerall = var(49)
trigger1 = AnimTime = 0
value = 1702
ctrl = 1

;---------------------------------------------------------------------------
;Jump Strong Punch
[Statedef 620]
type    = A
movetype= A
physics = A
juggle  = 3
poweradd= 65
ctrl = 0
anim = 620
sprpriority = 2

[State 600, VelSet]
type = VelSet
trigger1 = var(49)
x = 0
y = 0

[State 620, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 2

[State 620, 2]
type = PlaySnd
trigger1 = AnimElem = 3
value = 200, 0

[State 620, 3]
type = Projectile
trigger1 = AnimElem = 3
ProjID = 221
projanim = 221
projhitanim = 222
offset = 62,-65
velocity = 3, 2
attr = A, NP
damage    = 40,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 0,12
sparkno = S4001
guard.sparkno = S4023
sparkxy = 0,0
hitsound   = S5,0
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -8
airguard.velocity = -3.5      
air.velocity = -2.5,-5.5
air.juggle = 3

[State 620, 4]
type = ChangeAnim
trigger1 = HitPauseTime = 8
ignorehitpause = 1
persistent = 0
value = 620
elem = 4

[State 620, 5]
type = ChangeState
triggerall = !var(49)
trigger1 = AnimTime = 0
value = 72
ctrl = 1

[State 600, 3]
type = ChangeState
triggerall = var(49)
trigger1 = AnimTime = 0
value = 1702
ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Kick
[Statedef 630]
type    = A
movetype= A
physics = A
juggle  = 1
poweradd= 20
ctrl = 0
anim = 630
sprpriority = 2

[State 600, VelSet]
type = VelSet
trigger1 = var(49)
x = 0
y = 0

[State 630, 1]
type = PlaySnd
trigger1 = Time = 1
value = S0, 0

[State 640, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA
damage    = 23
hitflag = MAF
guardflag = HA
priority = 4
pausetime = 8,8
sparkno = S4001
sparkxy = -10,-55
guard.sparkno = S4023
hitsound = S5,4
guardsound = S6,0
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -5
air.velocity = 0,-3

[State 630, 3]
type = ChangeState
triggerall = !var(49)
trigger1 = AnimTime = 0
value = 72
ctrl = 1

[State 600, 3]
type = ChangeState
triggerall = var(49)
trigger1 = AnimTime = 0
value = 1702
ctrl = 1

;---------------------------------------------------------------------------
;Jump Medium Kick
[Statedef 640]
type    = A
movetype= A
physics = A
juggle  = 2
poweradd= 65
ctrl = 0
anim = 640
sprpriority = 2

[State 600, VelSet]
type = VelSet
trigger1 = var(49)
x = 0
y = 0

[State 640, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 640, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
damage    = 23
hitflag = MAF
guardflag = HA
priority = 4
pausetime = 8,8
sparkno = S4001
sparkxy = -10,-55
guard.sparkno = S4023
hitsound = S5,5
guardsound = S6,0
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -5
air.velocity = 0,-3

[State 640, 4]
type = ChangeState
triggerall = !var(49)
trigger1 = AnimTime = 0
value = 72
ctrl = 1

[State 600, 3]
type = ChangeState
triggerall = var(49)
trigger1 = AnimTime = 0
value = 1702
ctrl = 1

;---------------------------------------------------------------------------
;Jump Strong Kick
[Statedef 650]
type    = A
movetype= A
physics = A
juggle  = 3
poweradd= 65
ctrl = 0
anim = 620
sprpriority = 2

[State 600, VelSet]
type = VelSet
trigger1 = var(49)
x = 0
y = 0

[State 650, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 2

[State 650, 2]
type = PlaySnd
trigger1 = AnimElem = 3
value = 200, 2

[State 650, 3]
type = Projectile
trigger1 = AnimElem = 3
ProjID = 221
projanim = 221
projhitanim = 222
offset = 62,-65
velocity = 3, 2
attr = A, NP
damage    = 40,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 0,12
sparkno = S4001
guard.sparkno = S4023
sparkxy = 0,0
hitsound   = S5,0
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -8
airguard.velocity = -3.5      
air.velocity = -2.5,-5.5
air.juggle = 3

[State 650, 4]
type = ChangeAnim
trigger1 = MoveContact
trigger1 = HitPauseTime = 6
ignorehitpause = 1
persistent = 0
value = 650
elem = 6

[State 650, 5]
type = ChangeState
triggerall = !var(49)
trigger1 = AnimTime = 0
value = 72
ctrl = 1

[State 600, 3]
type = ChangeState
triggerall = var(49)
trigger1 = AnimTime = 0
value = 1702
ctrl = 1

;---------------------------------------------------------------------------
;Kung Fu Throw - Attempt
; CNS difficulty: medium-advanced
; Description: Throws are not difficult to make, although then can be
;     tedious at times. Throw attempt states have a HitDef of a
;     special format. The key parameters in a throw are p1stateno
;     and p2stateno. If the HitDef successfully connects, then
;     the attacker will change to the state number specified by
;     p1stateno, and the opponent will be change to the state
;     number assigned to p2stateno. The special thing about p2stateno
;     is that the opponent will be temporarily brought into the
;     attacker's state file. In this case, no matter who the
;     opponent is, he will be taken to state 820 of this file (kfm.cns)
;     and remain here until the end of the throw (look at his debug
;     information when he is being thrown; the text changes to yellow
;     to mean that he is in another player's state file).
[Statedef 800]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2

; Notes: The '-' symbol in the hitflag field means that it only affects
;   players who are not in a hit state. This prevents KFM from combo-ing
;   into the throw. The priority should be set to a low number, such as
;   1 or 2, so that the throw does not take precedence over normal attacks.
;   The type of priority must always be set to "Miss" or "Dodge" for throws,
;   otherwise strange behavior can result.
[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
sprpriority = 1       ;Draw in front of p2
p1facing = ifelse (command = "holdfwd", -1, 1) ;Turn if holding forwards
p2facing = 1          ;Force p2 to face KFM
p1stateno = 810       ;On success, KFM changes to state 810
p2stateno = 820       ;If hit, p2 changes to state 820 in KFM's cns
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Kung Fu Throw - Throwing the opponent
; Description: In this state, KFM throws the opponent by binding him to
;     various offsets based on his current frame of animation. For
;     example, [State 810, Bind 1] binds the opponent to an offset of
;     28 pixels in front of KFM. That puts him around where KFM's hand
;     is at. Is is important to keep the opponent bound using a
;     TargetBind controller at all times, until you let him go. This
;     is especially important if your player has a Clsn2 box that
;     allows him to get hit while throwing someone. Each time a player
;     gets hit, all his bound targets will be set to a fall state. If
;     the opponent is not bound, then he might get stuck in his thrown
;     state when his attacker is knocked out of the throw halfway.
; Notes: There is a TargetLifeAdd controller to decrease the opponent's
;     life, and a TargetState controller to change his state to a
;     falling state when KFM lets go of him.
[Statedef 810]
type    = S
movetype= A
physics = N
anim = 810
poweradd = 60

[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1, 1

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 800, 0

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) < 0
pos = 28, 0

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(12) < 0
edge = 60,0

[State 810, Bind 2-4]
type = TargetBind
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(5) < 0
pos = 58, 0

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(5) >= 0 && AnimElemTime(6) < 0
pos = 47, 0

[State 810, Bind 6]
type = TargetBind
trigger1 = AnimElemTime(6) >= 0 && AnimElemTime(7) < 0
pos = 41, -60

[State 810, Bind 7]
type = TargetBind
trigger1 = AnimElemTime(7) >= 0 && AnimElemTime(8) < 0
pos = 25, -75

[State 810, Bind 8]
type = TargetBind
trigger1 = AnimElemTime(8) >= 0 && AnimElemTime(9) < 0
pos = 15, -90

[State 810, Bind 9]
type = TargetBind
trigger1 = AnimElemTime(9) >= 0 && AnimElemTime(10) < 0
pos = -5, -96

[State 810, Bind 10]
type = TargetBind
trigger1 = AnimElemTime(10) >= 0 && AnimElemTime(11) < 0
pos = -14, -90

[State 810, Bind 11]
type = TargetBind
trigger1 = AnimElem = 11
pos = -50, -50

[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = AnimElem = 11
value = -78

[State 810, Throw 11]
type = TargetState
trigger1 = AnimElem = 11
value = 821

[State 810, Turn 12]
type = Turn
trigger1 = AnimElem = 12

[State 810, Pos 15]
type = PosAdd
trigger1 = AnimElem = 15
x = -10

[State 810, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw
; (a custom gethit state)
; Description: This is the state that the opponent changes to after being
;     hit by KFM's throw HitDef. The important thing here is to use a
;     ChangeAnim2 controller. The difference between ChangeAnim2 and
;     ChangeAnim is that ChangeAnim2 changes the player's animation to
;     an action in the AIR file of the attacker (in this case, kfm.air),
;     whereas ChangeAnim always changes the player to an action in his
;     own AIR file. Look at Action 820 in kfm.air for some extra
;     comments.
[Statedef 820]
type    = A
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 820

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw - thrown into the air
; (a custom gethit state)
; Description: This state has the opponent flying through the air and
;     falling down onto the ground. The SelfState controller sets the
;     opponent back using to his own state file when he his the ground.
;     Controllers 821,2 and 821,3 allow the opponent to recover by
;     hitting his recovery command when he is falling.
[Statedef 821]
type    = A
movetype= H
physics = N
velset = 2.8,-7
poweradd = 40

[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = 1
y = .4

[State 821, 2] ; Recover near ground (use ChangeState)
type = ChangeState
triggerall = Vel Y > 0
triggerall = Pos Y >= -20
triggerall = alive
triggerall = CanRecover
trigger1 = Command = "recovery"
value = 5200 ;HITFALL_RECOVER

[State 821, 3] ; Recover in mid air (use SelfState)
type = SelfState
triggerall = Vel Y > 0
triggerall = alive
triggerall = CanRecover
trigger1 = Command = "recovery"
value = 5210 ;HITFALL_AIRRECOVER

[State 821, 4] ;Hit ground
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100 ;Hit ground


;---------------------------------------------------------------------------
; Mind Blast
[Statedef 1000]
type    = S
movetype= A
physics = S
juggle  = 4
poweradd= 110
velset = 0,0
anim = 1000
ctrl = 0
sprpriority = 2

[State 1000, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1000, 0

[State 1000, 2]
type = Projectile
trigger1 = AnimElem = 3
ProjID = 1011
projanim = 1011
projhitanim = 1011
projremovetime = 16
offset = 67,-78
velocity = 0,0
attr = S, SP
damage    = 40,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 0,12
sparkno = S4003
guard.sparkno = S4023
sparkxy = floor(P2Dist X - 50),-5
hitsound   = S5,7
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -8
airguard.velocity = -3.5      
air.velocity = -2.5,-5.5
air.juggle = 3

[State 1000, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Mind Blast (Air)
[Statedef 1010]
type    = A
movetype= A
physics = S
juggle  = 4
poweradd= 110
velset = 0,0
anim = 1010
ctrl = 0
sprpriority = 2

[State 1010, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1000, 0

[State 1010, 2]
type = Projectile
trigger1 = AnimElem = 3
ProjID = 1011
projanim = 1011
projhitanim = 1011
projremovetime = 16
offset = 30,-98
velocity = 0,0
attr = S, SP
damage    = 40,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 0,12
sparkno = S4003
guard.sparkno = S4023
sparkxy = floor(P2Dist X - 50),-5
hitsound   = S5,7
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -8
airguard.velocity = -3.5
air.velocity = -2.5,-5.5
air.juggle = 3

[State 1010, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 72
ctrl = 0

;------------------------------------------------------
;Phoenix Burst
[statedef 1050]
type    = A
movetype= A
physics = S
juggle  = 4
poweradd= 110
velset = 0,0
anim = 11014
ctrl = 0
sprpriority = 2

[State 1050, PlaySnd]
type = PlaySnd
trigger1 = animelem = 1
value = S3,8
volume = 50
channel = -1

[State 1050, PlaySnd]
type = PlaySnd
trigger1 = animelem = 3
value = S1000,0
volume = 0
channel = -1
freqmul = 1.0

[State 1050, Projectile]
type = Projectile
trigger1 = animelem = 3 && time % 3 = 0
ProjID = 11000
projanim = 11000
projhitanim = 3003
projscale = .7,.5
projremove = 1
projremovetime = -1
velocity = 4,0
accel = 0,0
velmul = 1
projhits = 1
projmiss = 0
projpriority = 8
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
offset = 50,-94
postype = p1         ;p2,front,back,left,right
projshadow = 123,123,123
supermovetime = 0
pausemovetime = 0
; HitDef
attr = S,SP        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
hitflag = MAF        ;HLAFD+-
guardflag = MA         ;HLA
getpower = 0,0
givepower = 0,0
;affectteam = E          ;B,E,F
animtype = hard          ;light,medium,hard,back,up,diagup
air.animtype = hard
;fall.animtype = Back
priority = 4,Hit   ;Hit,Miss,Dodge
damage = 65,12
pausetime = 0,12
;guard.pause,0
sparkno = S3003
guard.sparkno = S4023
;sparkxy = floor((P2Dist X / 0.7)+Random/20) - 100,floor((P2Dist Y / 0.5) - Random/12) + 50
sparkxy = floor(Random/20) - 0,floor(Random/12) - 40
hitsound = S2,0
guardsound = S6,0
ground.type = Low      ;Low,Trip,None
ground.slide = 20
ground.hit = 20
air.hittime = 20
ground.velocity = -12,0
air.velocity = -6,0
p1getp2facing = 0
fall = 0
fall.yvelocity = -4.5
fall.recover = 1
fall.recovertime = 4
fall.damage = 0
down.bounce = 0
kill = 1
guard.kill = 1
fall.kill = 1
numhits = 1
palfx.time = 8
palfx.mul = 250,224,120
palfx.add = 240,50,0
palfx.sinadd = 110,55,85,10
afterimage.length = 12
afterimage.palcolor = 76
afterimage.palinvertall = 0
afterimage.palbright = 250,10,-200
afterimage.palcontrast = 750,180,100
afterimage.timegap = 5
afterimage.framegap = 2
afterimage.trans = add1

[State 1050, ChangeState]
type = ChangeState
trigger1 = time = 22
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Telekinetic Shield
[Statedef 1100]
type    = S
movetype= I
physics = S
juggle  = 4
poweradd= 110
velset = 0,0
anim = 1100
ctrl = 0
sprpriority = 2

[State 1100, 1]
type = PlaySnd
trigger1 = Time = 3
value = 1100, 0

[State 1100, 2] ;Shield
type = Helper
trigger1 = Time = 4
ID = 1101
name = "Sheidl"
pos = 0, 0
stateno = 1101

[State 1100, LifeAdd]
type = LifeAdd
trigger1 = Anim = 1100
trigger1 = AnimElem = 4
value = LifeMax * 50 / 1000
kill = 1
absolute = 0
;ignorehitpause =
;persistent =


[State 1100, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Telekinetic Shield (Shield)
[Statedef 1101]
type    = S
movetype= A
physics = N
velset = 0,0
anim = 1101
ctrl = 0
sprpriority = 3

[State 1101, 1]
type = BindtoParent
trigger1 = 1
pos = 0,0

[State 1101, 2]
type = HitOverride
trigger1 = Anim = 1101
trigger1 = AnimTime = 0
trigger2 = 1
attr = SCA, AA, AT, AP
stateno = 1102
time = -1

[State 1101, 3]
type = NotHitBy
trigger1 = Time = 0
value = SCA
time = -1

[State 1101, 4]
type = ChangeAnim
trigger1 = AnimTime = 0
value = 1102

[State 1101, 5]
type = HitDef
trigger1 = Anim = 1102
trigger1 = MoveContact = 0
trigger2 = Time % 15 = 0
;trigger2 = ProjHitTime(1101) >= 15
attr = S, SP
ID = 1101
;projanim = 1103
;projremovetime = 1
;projhitanim = 1103
damage    = 50,2
getpower  = 60
givepower = 40
guardflag = MA
pausetime = 0,8
sparkno = S4023
guard.sparkno = S4023
sparkxy = -floor(P2Dist X)+75,-60
hitsound   = S5,7
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -4, -4
airguard.velocity = -4.5      
air.velocity = -3.5,-5.5
air.juggle = 3
fall = -1

[State 1101, 6]
type = ChangeState
trigger1 = MoveHit
value = 1102

[State 1101, 7]
type = DestroySelf
trigger1 = Time = 30

;---------------------------------------------------------------------------
; Telekinetic Shield (Shield Hit)
[Statedef 1102]
velset = 0,0

[State 1102, 1]
type = BindtoParent
trigger1 = 1
pos = 0,0

[State 1101, 3]
type = DestroySelf
trigger1 = Time = 10

;---------------------------------------------------------------------------
; Light Phoenix Slide - Attack
[Statedef 1200]
type    = S
movetype= A
physics = S
juggle  = 9
poweradd = 70
ctrl = 0
anim = 2400
sprpriority = 2

[State 1200, 1]
type = StateTypeSet
trigger1 = AnimElem = 3
statetype = A
physics = N

[State 1200, 2.1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1000,0

[State 1200, 3]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype = Hard
damage = 80,5
getpower = 70,35
givepower = 70,0
hitflag = MAF
priority = 4, Hit
guardflag = M
pausetime = 9,9
guard.sparkno = S4023
sparkno = S4002
sparkxy = -10,-35
hitsound   = S2,0
guardsound = S2,1
ground.type = High
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -4,-5
air.velocity = -4,-5
fall = 1
air.recover = 0
fall.recover = 0
recover = 0
envshake.time = 5
envshake.ampl = 3
fall.envshake.time = 10
fall.envshake.ampl = -5
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6

[State 1200, 4.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8601
postype = p2
pos = 0,-30
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1200, 4.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8601
postype = p2
pos = -20,-60
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1200, 5]
type = Explod
trigger1 = AnimElem = 1
anim = 8510
postype = p1
pos = 20,4
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1200, 6.1]
type = Explod
trigger1 = AnimElem = 3
anim = 24010
id = 24010
pos = 10,-25
postype = p1
sprpriority = 3
xscale = 40
yscale = 30
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1
supermove = 1

[State 1200, 6.2]
type = Explod
trigger1 = AnimElem = 3
anim = 2402
postype = p1
pos = 80,-35
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1200, 7]
type = VelSet
trigger1 = AnimElem = 3
x = 6

[State 1200, RemoveExplod]
type = RemoveExplod
trigger1 = Time = 19
id = 24010
;ignorehitpause =
;persistent =


[State 1200, 8]
type = ChangeState
trigger1 = Time = 19
value = 11
ctrl = 1
;---------------------------------------------------------------------------
; Medium Phoenix Slide - Attack
[Statedef 1210]
type    = S
movetype= A
physics = S
juggle = 9
poweradd = 70
ctrl = 0
anim = 2400
sprpriority = 2

[State 1210, 1]
type = StateTypeSet
trigger1 = AnimElem = 3
statetype = A
physics = N

[State 1210, 2.1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1000,0

[State 1210, 2.2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 3,9
channel = 1

[State 1210, 3]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype = Hard
damage = 90,13
getpower = 70,35
givepower = 70,0
hitflag = MAF
priority = 4, Hit
guardflag = M
pausetime = 9,29
guard.sparkno = S4023
sparkno = S4002
sparkxy = -10,-35
hitsound   = S2,0
guardsound = S2,1
ground.type = High
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -4,-5
air.velocity = -4,-5
fall = 1
air.recover = 0
fall.recover = 0
recover = 0
envshake.time = 5
envshake.ampl = 3
fall.envshake.time = 10
fall.envshake.ampl = -5
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6

[State 1210, 4.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8600
postype = p2
pos = -10,-40
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1210, 4.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8601
postype = p2
pos = -20,-60
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1210, 5]
type = Explod
trigger1 = AnimElem = 1
anim = 8510
postype = p1
pos = 20,4
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1210, 6.1]
type = Explod
trigger1 = AnimElem = 3
anim = 24010
id = 24010
pos = 0,-25
postype = p1
sprpriority = 3
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1
supermove = 1

[State 1210, 6.2]
type = Explod
trigger1 = AnimElem = 3
anim = 2402
postype = p1
pos = 80,-35
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1210, 7]
type = VelSet
trigger1 = AnimElem = 3
x = 7.2

[State 1210, 8]
type = RemoveExplod
trigger1 = Time = 25
value = 24010

[State 1210, 9]
type = ChangeState
trigger1 = Time = 25
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Heavy Phoenix Slide - Attack
[Statedef 1220]
type = S
movetype= A
physics = S
juggle = 9
poweradd = 70
ctrl = 0
anim = 2400
sprpriority = 2

[State 1220, 1]
type = StateTypeSet
trigger1 = AnimElem = 3
statetype = A
physics = N

[State 1220, 2.1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1000,0

[State 1220, 2.2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 3,10
channel = 1

[State 1220, 2.2]
type = PlaySnd
trigger1 = AnimElem = 1
value = 3100, 5
channel = 3

[State 1220, 3]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype = Hard
damage = 100,13
getpower = 70,35
givepower = 70,0
hitflag = MAF
priority = 4, Hit
guardflag = M
pausetime = 9,29
guard.sparkno = S4023
sparkno = S4002
sparkxy = -10,-35
hitsound   = S2,0
guardsound = S2,1
ground.type = High
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -4,-5
air.velocity = -4,-5
fall = 1
air.recover = 0
fall.recover = 0
recover = 0
envshake.time = 5
envshake.ampl = 3
fall.envshake.time = 10
fall.envshake.ampl = -5
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6

[State 1220, 4.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8600
postype = p2
pos = -10,-40
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1220, 4.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8600
postype = p2
pos = -30,-70
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1220, 5]
type = Explod
trigger1 = AnimElem = 1
anim = 8510
postype = p1
pos = 20,4
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1220, 6.1]
type = Explod
trigger1 = AnimElem = 3
anim = 24010
id = 24010
pos = 0,-25
postype = p1
sprpriority = 3
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1
supermove = 1

[State 1220, 6.2]
type = Explod
trigger1 = AnimElem = 3
anim = 2402
postype = p1
pos = 80,-35
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1220, 7]
type = VelSet
trigger1 = AnimElem = 3
x = 8.4

[State 1220, 8]
type = RemoveExplod
trigger1 = Time = 30
value = 24010

[State 1220, 9]
type = ChangeState
trigger1 = Time = 30
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Light Phoenix Toe - Attack
[Statedef 1300]
type    = A
movetype= A
physics = N
juggle  = 9
velset = 0,0
poweradd = 70
ctrl = 0
anim = 2200
sprpriority = 2

[State 1300, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1000,0

[State 1300, 2]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype = Hard
damage = 80,5
getpower = 70,35
givepower = 70,0
hitflag = MAF
priority = 4, Hit
guardflag = M
pausetime = 9,9
guard.sparkno = S4023
sparkno = S4002
sparkxy = -10,-35
hitsound   = S2,0
guardsound = S2,1
ground.type = High
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -4,-5
air.velocity = -4,-5
fall = 1
air.recover = 0
fall.recover = 0
recover = 0
envshake.time = 5
envshake.ampl = 3
fall.envshake.time = 10
fall.envshake.ampl = -5
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6

[State 1300, 3.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8601
postype = p2
pos = 0,-30
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1300, 3.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8601
postype = p2
pos = -20,-60
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
afterimage = 1
ignorehitpause = 1
persistent = 0


[State 1300, 4.1]
type = Explod
trigger1 = AnimElem = 3
anim = 22010
id = 22010
pos = 2,0
postype = p1
sprpriority = 3
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1
supermove = 1

[State 1300, 4.2]
type = Explod
trigger1 = Time = 16
anim = 2202
postype = p1
pos = 20,-35
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1300, 5.1]
type = VelSet
trigger1 = AnimElemTime(3) = 4
x = 4
y = 10

[State 1300, 5.2]
type = VelAdd
trigger1 = AnimElemTime(3) >= 4
x = -0.2

[State 1300, 5.3]
type = VelSet
trigger1 = AnimElemTime(3) > 4 && Vel X <= 0
x = 0

[State 1300, 6]
type = ChangeState
trigger1 = AnimElemTime(3) >= 4 && Pos Y >= 0
value = 1305
ctrl = 0

;---------------------------------------------------------------------------
; All Phoenix Toe - Landing
[Statedef 1305]
type = S
ctrl = 0
anim = 2205

[State 1305, 1]
type = PosSet
trigger1 = Time = 0
y = 0

[State 1305, 2]
type = VelSet
trigger1 = Time = 0
x = 0
y = 0

[State 1305, 3]
type = RemoveExplod
trigger1 = Time = 0
id = 22010

[State 1305, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
; Medium Phoenix Toe - Attack
[Statedef 1310]
type    = A
movetype= A
physics = N
juggle  = 9
velset = 0,0
poweradd = 70
ctrl = 0
anim = 2200
sprpriority = 2

[State 1310, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1000,0

[State 1310, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 3,9
channel = 1

[State 1310, 2]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype = Hard
damage = 50,7
getpower = 70,35
givepower = 70,0
hitflag = MAF
priority = 4, Hit
guardflag = M
pausetime = 9,29
guard.sparkno = S4023
sparkno = S4002
sparkxy = -10,-35
hitsound   = S2,0
guardsound = S2,1
ground.type = High
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -4,-5
air.velocity = -4,-5
fall = 1
air.recover = 0
fall.recover = 0
recover = 0
envshake.time = 5
envshake.ampl = 3
fall.envshake.time = 10
fall.envshake.ampl = -5
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6


[State 1310, 3.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8601
postype = p2
pos = -10,-40
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1310, 3.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8601
postype = p2
pos = -20,-60
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1310, 4.1]
type = Explod
trigger1 = AnimElem = 3
anim = 22010
id = 22010
pos = 2,0
postype = p1
sprpriority = 3
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1
supermove = 1

[State 1310, 4.2]
type = Explod
trigger1 = Time = 16
anim = 2202
postype = p1
pos = 20,-35
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1310, 5.1]
type = VelSet
trigger1 = AnimElemTime(3) = 4
x = 6
y = 11

[State 1310, 5.2]
type = VelAdd
trigger1 = AnimElemTime(3) >= 4
x = -0.2

[State 1310, 5.3]
type = VelSet
trigger1 = AnimElemTime(3) > 4 && Vel X <= 0
x = 0

[State 1310, 6]
type = ChangeState
trigger1 = AnimElemTime(3) >= 4 && Pos Y >= 0
value = 1305
ctrl = 0

;---------------------------------------------------------------------------
; Heavy Phoenix Toe - Attack
[Statedef 1320]
type    = A
movetype= A
physics = N
juggle  = 9
velset = 0,0
poweradd = 70
ctrl = 0
anim = 2200
sprpriority = 2

[State 1320, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1000,0

[State 1320, 1.2]
type = PlaySnd
trigger1 = AnimElem = 3
value = 3,10
channel = 1

[State 1320, 1.3]
type = PlaySnd
trigger1 = AnimElem = 2
value = 3100,5
channel = 2

[State 1320, 2]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype = Hard
damage = 63,13
getpower = 70,35
givepower = 70,0
hitflag = MAF
priority = 4, Hit
guardflag = M
pausetime = 9,29
guard.sparkno = S4023
sparkno = S4002
sparkxy = -10,-35
hitsound   = S2,0
guardsound = S2,1
ground.type = High
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -4,-5
air.velocity = -4,-5
fall = 1
air.recover = 0
fall.recover = 0
recover = 0
envshake.time = 5
envshake.ampl = 3
fall.envshake.time = 10
fall.envshake.ampl = -5
palfx.time = 50
palfx.add = 240,50,0
palfx.mul = 250,224,120
palfx.sinadd = 110,55,85,6
ground.hittime = 40

[State 1320, 3.1]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8600) < 1)
id = 8600
anim = 8601
postype = p2
pos = -10,-40
supermove = 1
ownpal = 1
sprpriority = 100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1320, 3.2]
type = Explod
trigger1 = (MoveHit) && (P2MoveType = H) && (NumExplod(8601) < 1)
id = 8601
anim = 8601
postype = p2
pos = -30,-70
supermove = 1
ownpal = 1
sprpriority = -100
bindtime = -1
ignorehitpause = 1
persistent = 0

[State 1320, 4.1]
type = Explod
trigger1 = AnimElem = 3
anim = 22010
id = 22010
pos = 2,0
postype = p1
sprpriority = 3
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1
supermove = 1

[State 1320, 4.2]
type = Explod
trigger1 = Time = 16
anim = 2202
postype = p1
pos = 20,-35
ownpal = 1
ignorehitpause = 1
sprpriority = 8

[State 1320, 5.1]
type = VelSet
trigger1 = AnimElemTime(3) = 4
x = 8
y = 12

[State 1320, 5.2]
type = VelAdd
trigger1 = AnimElemTime(3) >= 4
x = -0.2

[State 1320, 5.3]
type = VelSet
trigger1 = AnimElemTime(3) > 4 && Vel X <= 0
x = 0

[State 1320, 6]
type = ChangeState
trigger1 = AnimElemTime(3) >= 4 && Pos Y >= 0
value = 1305
ctrl = 0

;-----------------------------------------------------------------
; Ultemecia Dash
[Statedef 1400]
type    = S
movetype= I
physics = S
juggle  = 20
poweradd= 110
velset = 0,0
anim = 40000
ctrl = 0
sprpriority = 2

[State 1400, PlaySnd]
type = PlaySnd
trigger1 = time = 15
value = S20000,0

[State 1400, PlaySnd]
type = PlaySnd
trigger1 = time = 15
value = S191,ifelse(random > 500,8,6)
channel = 1
volume = 255

[State 1400, PosAdd]
type = VelSet
trigger1 = time = 15
x = 50

[State 1400, Projectile]
type = Projectile
trigger1 = time = 17
ProjID = 400001
projanim = 400001
projhitanim = -1
projremanim = -1
projcancelanim = -1
projscale = 1,1
projremove = 1
projremovetime = 10
velocity = 0,0
remvelocity = 0,0
accel = 0,0
projhits = 5
projmiss = 0
projpriority = 1
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
offset = 0,0
postype = p1         ;p2,front,back,left,right
projshadow = 0,0,0
supermovetime = 0
pausemovetime = 0
; HitDef
attr = S,SA        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
hitflag = MAF        ;HLAFD+-
guardflag = MA         ;HLA
getpower = 10,15
givepower = 10,5         ;B,E,F
animtype = Hard          ;light,medium,hard,back,up,diagup
air.animtype = light
priority = 7,Hit   ;Hit,Miss,Dodge
damage = 20,40
pausetime = 6,10
sparkno = S3004
guard.sparkno = S4023
sparkxy = ifelse(random > 500,4,2),ifelse(random > 500,-48,-34)
hitsound   = S3100,10
guardsound = S6,0
ground.type = Low      ;Low,Trip,None
ground.slide = 10
ground.hit = 1
ground.velocity = 0,-6
air.velocity = 0,-6
fall = 1
fall.yvelocity = -4.5
fall.recover = 0
fall.recovertime = 0
down.velocity = 2,0
down.hit = 1
down.bounce = 0
kill = 1
guard.kill = 1
fall.kill = 1
numhits = 17
envshake.time = 12
envshake.freq = 89
envshake.ampl = 14

[State 1400, PalFX]
type = PalFX
trigger1 = animelem <= 27
time = 1
add = 256,99,0
mul = 305,278,120
color = 256

[State 1400, ChangeState]
type = ChangeState
trigger1 = animelem = 29
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Telekinetic Rock Shower (hyper) (begin)
[Statedef 3000]
type    = U
movetype= A
physics = N
velset = 0,0
anim = 3100
ctrl = 0
sprpriority = 2

[State 3001, 2]
type = PlaySnd
trigger1 = Time = 0
value = 3100, 7
volume = 500
channel = -1

[State 3000, Width]
type = Width
trigger1 = AnimElem = 2, >= 0
value = 15,0

[State 3000, Super A]
type = SuperPause
trigger1 = Time = 1
pos = 6,-100
anim = -1
sound = 20, 0
poweradd = -1000
time = 80
movetime = 80

[State 3000, Super D]
type = NotHitBy
trigger1 = AnimElem = 2
value = , NA, SA, AT
time = 12

[State 3000, Super E]
type = NotHitBy
trigger1 = AnimElemTime(2) >= 0 && Time < 30
value2 = C, NA
time = 1

[State 3000, VelSet]
type = Velset
trigger1 = AnimElem = 2, = 0
y = -1

[State 3000, StateTypeSet]
type = StateTypeSet
trigger1 = time = 0
trigger1 = StateType = C
statetype = S

[State 3000, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 2, >= 0
statetype = A
physics = N

[State 3000, VelSet]
type = VelMul
trigger1 = AnimElem = 2, > 0
y = .98


[State 3000, ChangeState]
type = ChangeState
trigger1 = Time = 80
value = 3001

;---------------------------------------------------------------------------
; Telekinetic Rock Shower (hyper) (attacking)
[Statedef 3001]
type    = A
movetype= A
physics = N
juggle  = 4
velset = 0,0
anim = 3101
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = S3100,8
volume = 500
channel = 7
;lowpriority = -1
freqmul = 1.0
loop = 0
pan = 0
;abspan =
;ignorehitpause =
;persistent =


[State 0, Explod]
type = Explod
trigger1 = Time = 0
anim = 3103
ID = 3103
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
vel = 0,0
accel = 0,0
bindtime = -1
removetime = 66
supermove
pausemove = 1
scale = 1,1
sprpriority = -114
ontop = 0
shadow = 0,0,0
ownpal = 0
trans = add1
removeongethit = 0
ignorehitpause = 1
;persistent = 1

[State 3001, 1]
type = EnvShake
trigger1 = Time = 0
time = 80

[State 3200, 14]
type = Explod
trigger1 = Time = 0
ID = 8480
anim = 8480
postype = Back
pos = 0,0
sprpriority = -115
bindtime = -1
removetime = -1
ownpal = 1
supermovetime = 9999
removeongethit = 1
under = 1


[State 3001, 2]
type = PlaySnd
trigger1 = Time % 3 = 0
value = 1000, 0

[State 3001, 3]
type = Projectile
trigger1 = Time % 3 = 0
ProjID = 3002
projanim = 11015
projhitanim = 3004
projedgebound = 200
projheightbound = -600,1
animtype = Hard          ;light,medium,hard,back,up,diagup
air.animtype = Hard
offset = floor(Random/5+P2Dist X)-330,-200 ;-320
velocity = 13,12
attr = S, HP
damage    = 20,10
getpower  = 0
givepower = 0
guardflag = MA
pausetime = 0,10
sparkno = -1
guard.sparkno = -1
sparkxy = 69,-10
hitsound   = S3100,10
guardsound = S2,1
palfx.time = 40
palfx.add = 40,-70,-200
palfx.mul = 256,256,256
palfx.sinadd = 40,30,0,10
palfx.invertall = 0
fall = 1
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -8

[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = time = 140
id = 8480
;ignorehitpause =
;persistent =

[State 3001, 4]
type = ChangeState
trigger1 = Time = 140
value = ifelse(movetype = A,72,0)
ctrl = ifelse(movetype = A,0,1)

;---------------------------------------------------------------------------
; Phoneix Super (begin)
[Statedef 3100]
type    = U
movetype= A
physics = N
velset = 0,0
anim = 3100
ctrl = 0
sprpriority = 2

[State 3100, Sound] ;I am Phoenix
type = PlaySnd
trigger1 = Time = 47
value = 3100,0
channel = -1
volume = 300

[State 3100, Width]
type = Width
trigger1 = AnimElem = 2, >= 0
value = 15,0

[State 3100, Super A]
type = SuperPause
trigger1 = AnimElem = 2, = 1
pos = 6,-100
anim = 100
sound = 20, 0
poweradd = -1000
time = 80
movetime = 80

[State 3100, Super B]
type = AfterImage
trigger1 = AnimElem = 2, = 1
time = 2

[State 3100, Super C]
type = AfterImageTime
trigger1 = AnimElemTime(2) >= 1 && Time < 60
time = 2

[State 3100, Super D]
type = NotHitBy
trigger1 = AnimElem = 2
value = , NA, SA, AT
time = 12

[State 3100, Super E]
type = NotHitBy
trigger1 = AnimElemTime(2) >= 0 && Time < 30
value2 = C, NA
time = 1

[State 3100, VelSet]
type = Velset
trigger1 = AnimElem = 2, = 0
y = -1

[State 3100, StateTypeSet]
type = StateTypeSet
trigger1 = time = 0
trigger1 = StateType = C
statetype = S

[State 3100, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 2, >= 0
statetype = A
physics = N

[State 3100, VelSet]
type = VelMul
trigger1 = AnimElem = 2, > 0
y = .98

[State 3100, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 3101

;---------------------------------------------------------------------------
; Phoenix Super (attacking)
[Statedef 3101]
type    = A
movetype= A
physics = N
juggle  = 4
velset = 0,0
anim = 3101
sprpriority = 2

[State 3101, 1]
type = PlaySnd
trigger1 = Time = 0
value = 0, 3

[State 3101, 14]
type = Explod
trigger1 = Time = 0
ID = 3007
anim = 3007
postype = Back
pos = 0,0
sprpriority = -4
bindtime = -1
removetime = 60
ownpal = 1
supermovetime = 9999
removeongethit = 1
under = 1

[State 3101, 2]
type = Explod
trigger1 = Time = 0
anim = 3103
sprpriority = -2

[State 3101, 3]
type = Projectile
trigger1 = Time % 2 = 0
ProjID = 3102
projanim = 3102
projhitanim = 3102
projremovetime = 1
affectteam = F
offset = 0,0
velocity = 0,0
attr = S, HP
hitflag = MAFDP
numhits = 0
attr = SCA, HA
damage = -10,0
priority = 7, Hit
guardflag = N
pausetime = 0,0
getpower  = 0
givepower = 40
sparkno = -1
guard.sparkno = -1

[State 3101, 3]
type = Projectile
trigger1 = Time % 2 = 0
ProjID = 3102
projanim = 3102
projhitanim = 3102
projremovetime = 1
offset = 0,0
velocity = 0,0
attr = S, HP
affectteam = E
damage    = 20,4
getpower  = 20
givepower = 0
guardflag = MA
pausetime = 0,12
sparkno = S4003
guard.sparkno = S4023
sparkxy = floor(P2Dist X+Random/20)-25,floor(P2Dist Y - Random/12)
hitsound   = S5,7
guardsound = S6,0
ground.type = High
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -8
airguard.velocity = -3.5      
air.velocity = -2.5,-5.5
air.juggle = 3

[State 0, LifeAdd]
type = LifeAdd
trigger1 = P2life > 0 && Projhit = 1
value = LifeMax * 10 / 1000
kill = 0

[State 3101, 2]
type = Explod
trigger1 = Time = 0
anim = 3103
sprpriority = -2

[State 3101, 2]
type = AssertSpecial
trigger1 = 1
flag = noFG
;flag2 = noBG

;[State 0, RemoveExplod]
;type = RemoveExplod
;trigger1 = AnimTime = 0
;id = 3007


[State 3101, 2]
type = BGPalFX
trigger1 = 1
time = 1
add = 220,256,256
mul = 128+time*3, 60, 0
sinadd = 800,0,0,4

[State 3101, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 72

;-------------------------------------------------------------------
;Flare Mind Blast
[Statedef 3200]
type    = S
movetype = A
physics = N
juggle  = 4
velset = 0,0
anim = 11011
sprpriority = 2
ctrl = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 1
value = S191,1
volume = 400
channel = -1
;lowpriority = -1
freqmul = 1.0

[State 0, SuperPause]
type = SuperPause
trigger1 = AnimElem = 2
time = 75
pos = 0,-78
sound = S0,5
darken = 1
poweradd = -1000
unhittable = 1
;endcmdbuftime = (winmugen only)
;pausebg =  (winmugen only)
;ignorehitpause =
;persistent =

[State 0, Explod]
type = Explod
trigger1 = Animelem = 5
anim = 3006
ID = 3006
pos = 0,0
postype = back  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
scale = 1,1
supermovetime = 9999
sprpriority = -9999999
removeongethit = 1

[State 0, Explod]
type = Explod
trigger1 = animelem = 4
anim = 11101
ID = 11101
pos = 24,-78
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
vel = 0,0
accel = 0,0
random = 0,0
removetime = 180
scale = 1.4,1.3
sprpriority = 4
ontop = 1
shadow = 0,0,0
ownpal = 1
removeongethit = 1
;ignorehitpause =
;persistent =

[State 0, HitDef]
type = HitDef
trigger1 = animelem = 5
trigger2 = time %4 = 0
attr = S,HP        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
hitflag = MAF        ;HLAFD+-
guardflag = MA         ;HLA
getpower = 0,0
givepower = 1,1
;affectteam = E          ;B,E,F
animtype = Hard          ;light,medium,hard,back,up,diagup
air.animtype = hard
fall.animtype = Back
priority = 7,Hit   ;Hit,Miss,Dodge
damage = 12,6
pausetime = 0,12
;guard.pause,0
sparkno = S111011
guard.sparkno = S4023
sparkxy = -30,-45
ground.type = High     ;Low,Trip,None
;air.type = High
ground.slide = 10
guard.slide = 8
ground.hit = 10
;guard.hit = 0
air.hittime = 20
;guard.ctrl  = 0
;guard.dist = 320
;guard.velocity = 0
fall = 0
;fall.xvelocity = 0
fall.yvelocity = -4.5
fall.recover = 1
fall.recovertime = 4
fall.damage = 3
down.bounce = 1
;id = 0
;chainID = -1
;nochainID = -1
;hitonce = 1
kill = 1
guard.kill = 1
fall.kill = 0
numhits = 1
palFX.time = 10
palFX.add = 240,50,0
palFX.mul = 250,224,120
palFX.sinadd = 110,55,85,10


[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 5
value = S0,6
volume = 0
channel = -1
loop = 0
pan = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 5
value = S0,7
volume = 0
channel = -1
freqmul = 1.0
loop = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 5
value = S0,8
volume = 100
channel = -1
loop = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 5
value = S0,10
volume = 100
channel = -1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 5
value = S20000,24
volume = 50
channel = -1

[State 0, EnvShake]
type = EnvShake
trigger1 = animelem = 5
time = 56
freq = 60
ampl = -4
phase = 79



[State 0, Explod]
type = Explod
trigger1 = time = 192
ID = 11101
anim = 11102
pos = 35,-78
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -2
supermove = 1
;pausemove
scale = 1.3,1.3
sprpriority = 4
ontop = 1
shadow = 0,0,0
ownpal = 1
removeongethit = 1
;ignorehitpause =
;persistent =


[State 0, RemoveExplod]
type = RemoveExplod
trigger1 = time = 200
id = 3006

[State 0, ChangeState]
type = ChangeState
trigger1 = time = 200
value = 3201
ctrl = 0

;-------------------------------------------------------------------------
;Flare Mind Blast (end)
[Statedef 3201]
type = S
Physics = S
anim = 11012
sprpriority = 2

[State 0, Change state]
type = changestate
trigger1 = animtime = 0
value = 0
ctrl = 1

;------------------------------------------------------------------
; Power Up
[Statedef 198]
type = S
movetype = A
physics = S
anim = 199
ctrl = 0
velset = 0,0

[State 0, 1]
type = BGPalFX
trigger1 = AnimElemtime(2) >=0 
trigger1 = time%(1+random%90)=0
mul = 800,640,255
add = 25,25,25
time =2
ignorehitpause = 1

[State 0, 1]
type = PalFX
trigger1 = AnimElemtime(2) >=0 
trigger1 = time%4=0
mul = 800,640,255
add = 50,50,50
time =2
ignorehitpause = 1

[State 0, 1]
type = Explod
trigger1 = AnimElem = 2
anim = 4010
postype = p1
pos = 0,0
sprpriority = 5
supermove = 1
ownpal = 1

[State 0, 1]
type = Explod
trigger1 = AnimElem = 2
anim = 4010
postype = p1
pos = 0,0
sprpriority = 5
supermove = 1
ownpal = 1
facing = -1

[State 0, ]
type = Explod
trigger1 = AnimElemtime(2) >= 0 
trigger1 = time% 18 = 0
anim = 4013
pos = 0,0
postype = p1
under = 1
ownpal = 1
removeongethit = 1


[State 0, ]
type = Explod
trigger1 = AnimElem = 2,0 
anim = 197
pos = 20,-50
postype = p1
bindtime = -1
sprpriority = -2
ownpal = 1
removeongethit = 1
ID = 197
removetime = -1

[State 0, ]
type = Explod
trigger1 = AnimElem = 2,0 
anim = 3200
pos = 0,10
postype = p1
bindtime = -1
sprpriority = 2
ownpal = 1
removeongethit = 1
ID = 3200
removetime = -1


[State 0, ]
type = EnvShake
trigger1 = AnimElemtime(2) >= 0 
trigger1 = time% 10 = 0
time = 10
;freq = 60
;ampl = -4
;phase = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = PlaySnd
trigger1 = AnimElemtime(2) >=0 
trigger1 = time%20 = 0
value = 3100,3
volume = 255
channel = 3

[State 0, 1]
type = PlaySnd
trigger1 = AnimElemtime(2) = 0
value = 3100,2
volume = 255
channel = 2

[State 0, 1]
type = PlaySnd
trigger1 = AnimElemtime(2) = 0
value = 3100,4
volume = 235
channel = 1

[State 0, 1]
type = PlaySnd
trigger1 = AnimElemtime(2) = 0
value = 3100,5
volume = 350
channel = 5

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 3100,1
volume = 255
channel = 0

[State 0, 1]
type = PowerAdd
trigger1 = AnimElemtime(2) >= 0
trigger1 = time%2 = 0 
value = 40
;ignorehitpause = 0
;persistent = 1

[State 198:	Helper]
type			= Helper
trigger1		= (Time > 100) && ((GameTime%10) = 0) && (Random < 249) && (NumHelper(7032) < 5)
helpertype		= Normal
name			= "Rock000"
id			= 7032
pos			= 0,0
postype		= p1
facing		= 0
stateno		= 7032
keyctrl		= 0
ownpal		= 1
supermovetime	= 0
pausemovetime	= 0
size.xscale		= (IfElse(Random <= 799,0.75,3))
size.yscale		= (IfElse(Random <= 799,0.75,3))

[State 198:	Helper]
type			= Helper
trigger1		= (Time > 100) && ((GameTime%20) = 0) && (Random > 749) && (NumHelper(7032) < 5)
helpertype		= Normal
name			= "Rock001"
id			= 7033
pos			= 0,0
postype		= p1
facing		= 0
stateno		= 7033
keyctrl		= 0
ownpal		= 1
supermovetime	= 0
pausemovetime	= 0
size.xscale		= (IfElse(Random <= 499,0.75,0.50))
size.yscale		= (IfElse(Random <= 499,0.75,0.50))

[State 195, 2]
type = ChangeState
triggerall = AnimElemtime(2) > 0
triggerall = !var(7)
trigger1 = !(command = "holdz" && command = "holdc")
trigger2 = RoundState > 2
value = 199

[State 195, Cancel charging for AI]
type = ChangeState
triggerall = AnimElemtime(2) > 0
triggerall = var(7)
; Full power
trigger1 = power >= 2000
; If in guard distance, cancel quickly
trigger2 = InGuardDist
trigger2 = (random % ((9 - var(7)) * 2)) = 0 ; 6.25% to 50% chance per frame, AI1 to AI8
; If Enemy is in attack state probably, cancel eventually
;trigger3 = (EnemyNear, StateNo = [200, 799]) || (EnemyNear, StateNo = [1000, 1999]) || (EnemyNear, StateNo = [3000, 4999])
trigger3 = EnemyNear, MoveType = A
trigger3 = (random % ((9 - var(7)) * 10)) = 0 ; 1.25% to 10% chance per frame, AI1 to AI8
; If Enemy has moved closer, cancel quickly
trigger4 = p2bodydist X <= 150
trigger4 = (random % ((9 - var(7)) * 2)) = 0 ; 6.25% to 50% chance per frame, AI1 to AI8
trigger5 = RoundState > 2
value = 199


;------------------------------------------------------------------
;Rock000
[Statedef 7032]
type 			= S
movetype		= I
physics		= N
anim			= 9080
;velset		= 0,0
ctrl			= 0
poweradd		= 0
juggle		= 0
facep2		= 0
hitdefpersist	= 0
movehitpersist	= 0
hitcountpersist	= 0
sprpriority		= 0

[State 7032:	SprPriority]
type			= SprPriority
trigger1		= (!Time)
value			= (IfElse(Random <= 499,3,-3))

[State 7032:	VarRandom]
type			= VarRandom
trigger1		= (!Time)
v			= 0
range			= -200,200

[State 7032:	PosSet]
type			= PosSet
trigger1		= (!Time)
x			= var(0)
y			= 0

[State 7032:	VelSet]
type			= VelSet
trigger1		= (Time = 1)
x			= (IfElse(Random <= 799,0,IfElse((Random = [800,900]),-0.2,0.2)))
y			= (IfElse(Random <= 499,-1,-2))

[State 7032:	VelAdd]
type			= VelAdd
trigger1		= (Parent, StateNo = 199)
y			= 1

[State 0, 0]
type        = VelAdd
trigger1    = (vel y < 50)
x           = ifelse(parentdist x<=0,-3,3)
y           = ifelse(random>500,-0.05,ifelse(random>500,-0.04,ifelse(random>500,-0.03,-0.02)))

[State 7032:	PlaySnd]
type			= PlaySnd
trigger1		= (!Time) && (Const(Size.XScale) <= 1)
value			= S2,2

[State 7032:	PlaySnd]
type			= PlaySnd
trigger1		= (!Time) && (Const(Size.XScale) > 1)
value			= S20000,15

[State 0, EnvShake]
type = EnvShake
trigger1                = (!Time) && (Const(Size.XScale) > 1)
time                    = 20
freq                    = 120
ampl                    = -25
phase                   = 110
ignorehitpause          = 1
;persistent =

[State 0, EnvShake]
type = EnvShake
trigger1                = (!Time) && (Const(Size.XScale) <= 1)
time                    = 10
freq                    = 50
ampl                    = -4
phase                   = 90
ignorehitpause          = 1
;persistent =

[State 7032:	PlaySnd]
type			= PlaySnd
trigger1		= (Pos Y >= 1)
value			= S1,9

[State 7032:	AfterImage]
type			= AfterImage
trigger1 		= (!Time)
time 			= 15
timegap		= 1
framegap 		= 2
length 		= 10
paladd 		= 0, 0, 0
palmul 		= .50, .50, .50
palcontrast 	= 110,110,110
trans 		= add

[State 7032:	DestroySelf]
type			= DestroySelf
trigger1		= (Pos Y < -210) || (Pos Y >= 1)


;------------------------------------------------------------------
;Rock001
[Statedef 7033]
type 			= S
movetype		= I
physics		= N
anim			= 9090
;velset		= 0,0
ctrl			= 0
poweradd		= 0
juggle		= 0
facep2		= 0
hitdefpersist	= 0
movehitpersist	= 0
hitcountpersist	= 0
sprpriority		= 0

[State 7033:	SprPriority]
type			= SprPriority
trigger1		= (!Time)
value			= (IfElse(Random <= 499,3,-3))

[State 7033:	VarRandom]
type			= VarRandom
trigger1		= (!Time)
v			= 0
range			= -200,200

[State 7033:	PosSet]
type			= PosSet
trigger1		= (!Time)
x			= var(0)
y			= 0

[State 0, 0]
type        = VelAdd
trigger1    = (vel y < 50)
x           = ifelse(parentdist x<=0,-3,3)
y           = ifelse(random>500,-0.05,ifelse(random>500,-0.04,ifelse(random>500,-0.03,-0.02)))

[State 7033:	VelSet]
type			= VelSet
trigger1		= (Time = 1)
x			= (IfElse(Random <= 799,0,IfElse((Random = [800,900]),-0.2,0.2)))
y			= (IfElse(Random <= 499,-1.5,-2.5))

[State 7033:	VelAdd]
type			= VelAdd
trigger1		= (Parent, StateNo = 199)
y			= 1

[State 7033:	PlaySnd]
type			= PlaySnd
trigger1		= (!Time)
value			= S2,2

[State 7033:	PlaySnd]
type			= PlaySnd
trigger1		= (Pos Y >= 1)
value			= S1,9

[State 7033:	AfterImage]
type			= AfterImage
trigger1 		= (!Time)
time 			= 15
timegap		= 1
framegap 		= 2
length 		= 10
paladd 		= 0, 0, 0
palmul 		= .50, .50, .50
palcontrast 	= 110,110,110
trans 		= add

[State 7033:	DestroySelf]
type			= DestroySelf
trigger1		= (Pos Y < -210) || (Pos Y >= 1)


;------------------------------------------------------------------
; Power Up End
[Statedef 199]
type = S
movetype = A
physics = S
anim = 47
ctrl = 0
velset = 0,0

[State 0, 8]
type = StopSnd
trigger1 = !time
channel = 0 && 2


[State 0, 1]
type = RemoveExplod
trigger1 = !time
ID = 197
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = RemoveExplod
trigger1 = !time
ID = 3200
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = Explod
trigger1 = !time
anim = 194
postype = p1
pos = 20,-50
sprpriority = -2
supermove = 1
ownpal = 1

[State 0, 1]
type = Explod
trigger1 = !time
anim = 3201
postype = p1
pos = 7,10
sprpriority = 2
supermove = 1
ownpal = 1

[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 3100,6
channel = 5



[State 0, 1]
type = ChangeState
trigger1 = animtime = 0
trigger2 = power = 3000
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Flying Start
[Statedef 1700]
type = A
movetype = I
physics = N
velset = 0,0
anim = 3300
ctrl = 0

; AI Flight Controls
[State -1, AI Long Range Flight Controls, Reset]
type = VarSet
triggerall = var(7)
trigger1 = time = 0
var(15) = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 1
value = S20000,7

[State 1700, VelSet]
type = VelSet
trigger1 = AnimElem = 1, = 1
y = -3.75

[State 1700, VelAdd]
type = VelAdd
trigger1 = Vel Y < 0
y = .25

[State 1700, VelSet]
type = VelSet
trigger1 = time = 20
y = 0

[State 1700, VarSet]
type = VarSet
trigger1 = time = 20
var(49) = 601

[State 1700, ChangeState]
type = ChangeState
trigger1 = time = 20
value = 1702

;---------------------------------------------------------------------------
; j. Flying Start
[Statedef 1701]
type = A
movetype = I
physics = N
velset = 0,0
anim = 3300
ctrl = 0

; AI Flight Controls
[State -1, AI Long Range Flight Controls, Reset]
type = VarSet
triggerall = var(7)
trigger1 = time = 0
var(15) = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 1
value = S20000,7

[State 1701, VelSet]
type = VelSet
trigger1 = AnimElem = 1, = 1
y = -.5

[State 1701, VelSet]
type = VelSet
trigger1 = time = 20
y = 0

[State 1701, VarSet]
type = VarSet
trigger1 = time = 20
var(49) = 601

[State 1701, ChangeState]
type = ChangeState
trigger1 = time = 20
value = 1702

;---------------------------------------------------------------------------
; Flying State
[Statedef 1702]
type = A
movetype = I
physics = N
velset = 0,0
anim = 3301
ctrl = 0

[State 1702, VarSet]
type = VarSet
trigger1 = 1
var(8) = 1

[State 1702, ChangeAnim]
type = ChangeAnim
trigger1 = Time = 0 && Anim != 3301
value = 3301

[State 1702, ChangeAnim]
type = ChangeAnim
trigger1 = Anim != 3301
trigger1 = !Vel X
trigger1 = !Vel Y
value = 3301

[State 1702, ChangeAnim]
type = ChangeAnim
trigger1 = Anim != 3302
trigger1 = Vel X = 0
trigger1 = Vel Y < 0
value = 3302

[State 1702, ChangeAnim]
type = ChangeAnim
trigger1 = Anim != 3303
trigger1 = Vel X = 0
trigger1 = Vel Y > 0
value = 3303

[State 1702, ChangeAnim]
type = ChangeAnim
trigger1 = Anim != 3304
trigger1 = Vel X > 0
value = 3304

[State 1702, ChangeAnim]
type = ChangeAnim
trigger1 = Anim != 3305
trigger1 = Vel X < 0
value = 3305

[State 1702, Turn]
type = Turn
triggerall = p2dist X < 0
triggerall = facing = enemyNear, facing
trigger1 = command != "holdfwd"
trigger1 = command != "holdback"
trigger1 = command != "holddown"
trigger1 = command != "holdup"
; AI
trigger2 = var(7)
trigger2 = vel x = 0
trigger2 = vel y = 0

[State 0, PosSet]
type = PosSet
trigger1 = Pos Y > -7
y = -7

[State 0, VelSet]
type = VelSet
trigger1 = 1
;trigger1 = command != "holdfwd"
;trigger2 = command != "holdback"
;trigger3 = command != "holddown"
;trigger4 = command != "holdup"
x = 0
y = 0

[State 1702, VelSet]
type = VelSet
trigger1 = !var(7)
trigger1 = command = "holdback"
x = -3
[State 1702, VelSet]
type = VelSet
trigger1 = !var(7)
trigger1 = command = "holdfwd"
x = 3

[State 1702, VelSet]
type = VelSet
trigger1 = !var(7)
trigger1 = command = "holdup"
y = -3
[State 1702, VelSet]
type = VelSet
trigger1 = !var(7)
trigger1 = command = "holddown"
y = 3

; X Velocity (Stay Away)
[State -1, AI Long Range Flight Controls, Stay Away]
type = VarSet
triggerall = var(7)
triggerall = var(6) = 4
triggerall = (enemynear, pos x - pos x) * facing > 0 ; If target is in front
triggerall = (random % 40 < var(7)) ; 2.5% to 20% chance per frame, AI1 to AI8
; Enemy is too close
trigger1 = abs(enemynear, pos x - pos x) < 220 || P2BodyDist x < 200
; Remove move away flag
trigger2 = var(15) := (var(15) - (var(15) & 2))
trigger2 = 0
var(15) = (var(15) | 2) ; 2 = Left/Away

[State -1, AI Long Range Flight Controls, Move In Some]
type = VarSet
triggerall = var(7)
triggerall = var(6) = 4
triggerall = (enemynear, pos x - pos x) * facing > 0 ; If target is in front
triggerall = (random % 40 < var(7)) ; 2.5% to 20% chance per frame, AI1 to AI8
; Both characters are in the corner
trigger1 = BackEdgeBodyDist < 10
trigger1 = enemynear, BackEdgeBodyDist < 10
; Remove move forward flag
trigger2 = var(15) := (var(15) - (var(15) & 4))
trigger2 = 0
var(15) = (var(15) | 4) ; 4 = Right/Forward

; X Velocity (Move In)
[State -1, AI Long Range Flight Controls, Move In]
type = VarSet
triggerall = var(7)
triggerall = var(6) = 5
triggerall = (enemynear, pos x - pos x) * facing > 0 ; If target is in front
triggerall = (random % 40 < var(7)) ; 2.5% to 20% chance per frame, AI1 to AI8
; Enemy is too far away
trigger1 = abs(enemynear, pos x - pos x) > 90 || P2BodyDist x > 60
; Remove move forward flag
trigger2 = var(15) := (var(15) - (var(15) & 4))
trigger2 = 0
var(15) = (var(15) | 4) ; 4 = Right/Forward

[State -1, AI Long Range Flight Controls, Not Too Close]
type = VarSet
triggerall = var(7)
triggerall = var(6) = 5
triggerall = (enemynear, pos x - pos x) * facing > 0 ; If target is in front
triggerall = (random % 40 < var(7)) ; 2.5% to 20% chance per frame, AI1 to AI8
; Enemy is too close
trigger1 = abs(enemynear, pos x - pos x) < 70 || P2BodyDist x < 40
; Remove move away flag
trigger2 = var(15) := (var(15) - (var(15) & 2))
trigger2 = 0
var(15) = (var(15) | 2) ; 2 = Left/Away

; Y Velocity (Keep in Rocks Firing Range)
[State -1, AI Long Range Flight Controls, Fly Up]
type = VarSet
triggerall = var(7)
triggerall = (var(6) = 4) || (var(6) = 5)
triggerall = (enemynear, pos x - pos x) * facing > 0 ; If target is in front
triggerall = (random % 40 < var(7)) ; 2.5% to 20% chance per frame, AI1 to AI8
; Need to be higher; the 10 means aim rocks at least 10 pixels above the target coordinates
trigger1 = (enemynear, pos y - (pos y - (65 - 10))) < (abs(enemynear, pos x - (pos x + facing * 62)) * 2 / 3.0)
; Remove move up flag
trigger2 = var(15) := (var(15) - (var(15) & 8))
trigger2 = 0
var(15) = (var(15) | 8) ; 8 = Up

[State -1, AI Long Range Flight Controls, Fly Down]
type = VarSet
triggerall = var(7)
triggerall = (var(6) = 4) || (var(6) = 5)
triggerall = (enemynear, pos x - pos x) * facing > 0 ; If target is in front
triggerall = (random % 40 < var(7)) ; 2.5% to 20% chance per frame, AI1 to AI8
; Need to be lower; the enemynear, Const(size.height) + 10 means aim rocks below at most 10 pixels above the target height coordinates
trigger1 = (enemynear, pos y - (pos y - (65 - (enemynear, Const(size.height) + 10)))) > (abs(enemynear, pos x - (pos x + facing * 62)) * 2 / 3.0)
; Remove move down flag
trigger2 = var(15) := (var(15) - (var(15) & 1))
trigger2 = 0
var(15) = (var(15) | 1) ; 1 = Down

; Apply AI Flight Controls
[State -1, AI Long Range Flight Controls]
type = VelSet
triggerall = var(7)
triggerall = (var(6) = 4) || (var(6) = 5)
trigger1 = 1
x = ifelse(var(15) & 4, 3, ifelse(var(15) & 2, -3, 0))
y = ifelse(var(15) & 1, 3, ifelse(var(15) & 8, -3, 0))

[State 1702, ChangeState]
type = ChangeState
trigger1 = var(49) = 1
trigger2 = P2Life <= 0
trigger3 = RoundState >= 3
value = 1704;50
ctrl = 1

;---------------------------------------------------------------------------
; Flying End
[Statedef 1704]
type = A
movetype = I
physics = N
velset = 0,0
anim = 44
ctrl = 0

[State 1701, VelSet]
type = VelSet
trigger1 = 1
x = 0
y = 0

[State 1701, VarSet]
type = VarSet
trigger1 = 1
var(49) = 0

[State 1701, ChangeState]
type = ChangeState
trigger1 = 1
value = 51
ctrl = 1


;---------------------------------------------------------------------------
; Override common states (use same number to override) :
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Stand
[Statedef 0]
type = S
physics = S
sprpriority = 0

[State 0, Should be in meter battery mode]
type = ChangeState
triggerall = RoundState = [1,2]
triggerall = TeamMode = Simul
trigger1 = (var(50) & 2048)
value = 196

; Helpers shouldn't be in the idle state, this suggests bad reversal interaction
[State 0, Helper Got Here Somehow]
type = RemoveExplod
trigger1 = IsHelper
[State 0, Helper Got Here Somehow]
type = DestroySelf
trigger1 = IsHelper

[State 0, 1]
type = ChangeAnim
trigger1 = Anim != 0 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0 ;Turn anim over
value = 0

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = abs(vel x) < Const(movement.stand.friction.threshold)
trigger2 = Time = 4
x = 0

[State 0, 4] ;Are you dead?
type = ChangeState
trigger1 = !alive
value = 5050
ctrl = 0

;---------------------------------------------------------------------------
; Walk
[Statedef 20]
type    = S
physics = S
sprpriority = 0

[State 20, 1]
type = VelSet
trigger1 = command = "holdfwd"
x = const(velocity.walk.fwd.x)

[State 20, 2]
type = VelSet
trigger1 = command = "holdback"
x = const(velocity.walk.back.x)

[State 20, AI walk forward]
type = VelSet
triggerall = var(7)
triggerall = NumTarget
; If target is in front
triggerall = (target, pos x - pos x) * facing > 0
; Grounded target
trigger1 = target, StateType = S || target, StateType = C
; Airborne target is near the ground
trigger2 = target, StateType = A
trigger2 = target, pos y > -80
trigger2 = target, pos y <= 0
x = const(velocity.walk.fwd.x)

[State 20, 3]
type = ChangeAnim
triggerall = vel x > 0
trigger1 = Anim != 20 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 20

[State 20, 4]
type = ChangeAnim
triggerall = vel x < 0
trigger1 = Anim != 21 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0
value = 21

[State 100, Stop walking (AI)]
type = ChangeState
triggerall = var(7)
; Opponent dead
trigger1 = p2life <= 0
trigger2 = RoundState > 2
value = 0

;---------------------------------------------------------------------------
; Jump Start
[Statedef 40]
type    = S
physics = S
anim = 40
ctrl = 0
sprpriority = 1
facep2 = 1

[State 40, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 40, 2]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1

[State 40, 3]
type = VarSet
trigger1 = command = "holdback"
; AI jump back at round start
trigger2 = var(7)
trigger2 = var(17)
trigger2 = (GameTime - var(17)) <= 10
sysvar(1) = -1

[State 40, 4]
type = VelSet
trigger1 = AnimTime = 0
x = ifelse(sysvar(1)=0, const(velocity.jump.neu.x), ifelse(sysvar(1)=1, const(velocity.jump.fwd.x), const(velocity.jump.back.x)))
y = const(velocity.jump.y)

[State 40, 5]
type = VelSet
trigger1 = AnimTime = 0
trigger1 = prevstateno = 100 ;RUN_FWD
trigger1 = sysvar(1) = 1
x = const(velocity.runjump.fwd.x)

[State 40, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
; Super Jump
[Statedef 41]
type = A
physics = S
;anim = IfElse(!sysvar(1),40,(IfElse((sysvar(1) = 1),10040,20040)))
ctrl = 0

[State 41, sound]
type = playSnd
trigger1 = time = 0
value = 10000, 0

[State 41, VarSet]
type = VarSet
trigger1 = !Time
sysvar(1) = 0
ignorehitpause = 1

[State 41, VarSet]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1
ignorehitpause = 1

[State 41, VarSet]
type = VarSet
trigger1 = command = "holdback"
sysvar(1) = -1
ignorehitpause = 1

[State 41, ChangeAnim]
type = Null;ChangeAnim ; Whatever animations this is supposed to use, they don't exist
trigger1 = !Time && Anim != 40 && Anim != 10040 && Anim != 20040
value = IfElse(!sysvar(1),40,(IfElse((sysvar(1) = 1),10040,20040)))
ignorehitpause = 1
[State 41, ChangeAnim]
type = ChangeAnim ; Whatever animations this is supposed to use, they don't exist
trigger1 = !Time && Anim != 40
value = 40
ignorehitpause = 1

[State 41, VelSet]
type = VelSet
trigger1 = !var(45)
trigger1 = !AnimTime
x = IfElse(!sysvar(1), const(velocity.jump.neu.x), IfElse((sysvar(1) = 1), const(velocity.jump.fwd.x), const(velocity.jump.back.x)))
y = -13
ignorehitpause = 1

[State 41, VelSet]
type = VelSet
trigger1 = var(45)
trigger1 = !AnimTime
x = IfElse(!sysvar(1), const(velocity.jump.neu.x), IfElse((sysvar(1) = 1), const(velocity.jump.fwd.x), const(velocity.jump.back.x))) * 1.5
y = -13
ignorehitpause = 1

[State 41, ChangeState]
type = ChangeState
trigger1 = !AnimTime
value = 50
ctrl = 1
ignorehitpause = 1

;---------------------------------------------------------------------------
; Jump Fall
[Statedef 72]
type    = A
physics = A

[State 72, 1]
type = ChangeAnim
trigger1 = Time = 0
value = 71

;---------------------------------------------------------------------------
; Run forward
[Statedef 100]
type    = S
physics = S
anim = 100
sprpriority = 1

[State 100, 1]
type = VelSet
trigger1 = 1
x = const(velocity.run.fwd.x)

[State 100, 2] ;Prevent run from canceling into walk
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 100, 3] ;Prevent from turning
type = AssertSpecial
trigger1 = 1
flag = NoAutoTurn

[State 100, 4]
type = ChangeState
triggerall = !var(7)
trigger1 = command != "holdfwd"
value = 0

[State 100, Stop running (AI)]
type = ChangeState
triggerall = var(7)
; If the closest enemy is behind
trigger1 = (enemynear, pos x - pos x) * facing < 0
; Opponent dead
trigger2 = p2life <= 0
trigger3 = RoundState > 2
value = 0

;---------------------------------------------------------------------------
; GUARD (start)
[Statedef 120]
type = U    ;Leave state type unchanged
physics = U ;Leave physics unchanged

[State 120, 1]
type = ChangeAnim
trigger1 = Time = 0
value = 120 + (statetype = C) + (statetype = A)*2

[State 120, 2]
type = StateTypeSet
trigger1 = Time = 0 && statetype = S
physics = S

[State 120, 3]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
physics = C

[State 120, 4]
type = StateTypeSet
trigger1 = Time = 0 && statetype = A
physics = A

[State 120, Hi to Lo]
type = StateTypeSet
triggerall = statetype = S
trigger1 = !var(7) ; AI Off
trigger1 = command = "holddown"
trigger2 = var(7)
; Opponent is attacking and crouching
trigger2 = enemynear, MoveType = A && enemynear, StateType = C
statetype = C
physics = C

[State 120, Lo to Hi]
type = StateTypeSet
triggerall = statetype = C
trigger1 = !var(7) ; AI Off
trigger1 = command != "holddown"
trigger2 = var(7)
; Opponent is attacking and not crouching, just to be safe from overheads
trigger2 = enemynear, MoveType = A && enemynear, StateType != C
statetype = S
physics = S

[State 120, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 130 + (statetype = C) + (statetype = A)*2

[State 120, Stop Guarding]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = command != "holdback"
trigger2 = !inguarddist
value = 140

;---------------------------------------------------------------------------
; Stand guard (guarding)
[Statedef 130]
type    = S
physics = S

[State 130, 1]
type = ChangeAnim
trigger1 = Anim != 130
value = 130

[State 130, Hi to Lo]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = command = "holddown"
trigger2 = var(7)
; Opponent is attacking and crouching
trigger2 = enemynear, MoveType = A && enemynear, StateType = C
value = 131

[State 130, Stop Guarding]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = command != "holdback"
trigger2 = !inguarddist
value = 140

;---------------------------------------------------------------------------
; Crouch guard (guarding)
[Statedef 131]
type    = C
physics = C

[State 131, 1]
type = ChangeAnim
trigger1 = Anim != 131
value = 131

[State 131, Lo to Hi]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = command != "holddown"
trigger2 = var(7)
; Opponent is attacking and not crouching, just to be safe from overheads
trigger2 = enemynear, MoveType = A && enemynear, StateType != C
value = 130

[State 131, Stop Guarding]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = command != "holdback"
trigger2 = !inguarddist
value = 140

;---------------------------------------------------------------------------
; Air guard (guarding)
[Statedef 132]
type    = A
physics = N

[State 132, 1]
type = ChangeAnim
trigger1 = Anim != 132
value = 132

[State 132, 2]
type = VelAdd
trigger1 = 1
y = Const(movement.yaccel)

[State 132, 3]
type = VarSet
trigger1 = 1
sysvar(0) = (pos y >= 0) && (vel y > 0)

[State 132, 4]
type = VelSet
trigger1 = sysvar(0)
y = 0

[State 132, 5]
type = PosSet
trigger1 = sysvar(0)
y = 0

[State 132, 6]
type = ChangeState
triggerall = sysvar(0)
triggerall = inguarddist
trigger1 = !var(7) ; AI Off
trigger1 = command = "holdback"
trigger2 = var(7)
value = 130

[State 132, 7]
type = ChangeState
trigger1 = sysvar(0)
value = 52

[State 132, Stop Guarding]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = command != "holdback"
trigger2 = !inguarddist
value = 140

;---------------------------------------------------------------------------
; Guard (end)
[Statedef 140]
type = U    ;Leave state type unchanged
physics = U ;Leave physics unchanged
ctrl = 1

[State 140, 1]
type = ChangeAnim
trigger1 = Time = 0
value = 140 + (statetype = C) + (statetype = A)*2

[State 140, 2]
type = StateTypeSet
trigger1 = Time = 0 && statetype = S
physics = S

[State 140, 3]
type = StateTypeSet
trigger1 = Time = 0 && statetype = C
physics = C

[State 140, 4]
type = StateTypeSet
trigger1 = Time = 0 && statetype = A
physics = A

[State 140, Hi to Lo]
type = StateTypeSet
triggerall = statetype = S
trigger1 = !var(7) ; AI Off
trigger1 = command = "holddown"
trigger2 = var(7)
; Opponent is attacking and crouching
trigger2 = enemynear, MoveType = A && enemynear, StateType = C
statetype = C
physics = C

[State 140, Lo to Hi]
type = StateTypeSet
triggerall = statetype = C
trigger1 = !var(7) ; AI Off
trigger1 = command != "holddown"
trigger2 = var(7)
; Opponent is attacking and not crouching, just to be safe from overheads
trigger2 = enemynear, MoveType = A && enemynear, StateType != C
statetype = S
physics = S

;[State 140, 5] ;Implemented within engine
;type = ChangeState
;trigger1 = AnimTime = 0
;value = (statetype = C)*11 + (statetype = A)*51

;---------------------------------------------------------------------------
; Stand guard hit (shaking)
[Statedef 150]
type    = S
movetype= H
physics = N
velset = 0,0

[State 150, 1]
type = ChangeAnim
trigger1 = 1
value = 150

[State 150, 2]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = HitShakeOver
value = 151 + 2*(command = "holddown")

[State 150, 2]
type = ChangeState
trigger1 = var(7) ; AI On
trigger1 = HitShakeOver
value = 151 + 2*(enemynear, MoveType = A && enemynear, StateType = C)

[State 150, Hi to Lo]
type = StateTypeSet
triggerall = statetype = S
trigger1 = !var(7) ; AI Off
trigger1 = command = "holddown"
trigger2 = var(7)
; Opponent is attacking and crouching
trigger2 = enemynear, MoveType = A && enemynear, StateType = C
statetype = C
physics = C

[State 150, Lo to Hi]
type = StateTypeSet
triggerall = statetype = C
trigger1 = !var(7) ; AI Off
trigger1 = command != "holddown"
trigger2 = var(7)
; Opponent is attacking and not crouching, just to be safe from overheads
trigger2 = enemynear, MoveType = A && enemynear, StateType != C
statetype = S
physics = S

[State 150, 3]
type = ForceFeedback
trigger1 = time = 0
waveform = square
time = 3

;---------------------------------------------------------------------------
; Stand guard hit (knocked back)
[Statedef 151]
type    = S
movetype= H
physics = S
anim = 150

[State 151, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1

[State 151, 2]
type = VelSet
trigger1 = Time = GetHitVar(slidetime)
trigger2 = HitOver
x = 0

[State 151, 3]
type = CtrlSet
trigger1 = Time = GetHitVar(ctrltime)
value = 1

[State 151, Hi to Lo]
type = StateTypeSet
triggerall = statetype = S
trigger1 = !var(7) ; AI Off
trigger1 = command = "holddown"
trigger2 = var(7)
; Opponent is attacking and crouching
trigger2 = enemynear, MoveType = A && enemynear, StateType = C
statetype = C
physics = C

[State 151, Lo to Hi]
type = StateTypeSet
triggerall = statetype = C
trigger1 = !var(7) ; AI Off
trigger1 = command != "holddown"
trigger2 = var(7)
; Opponent is attacking and not crouching, just to be safe from overheads
trigger2 = enemynear, MoveType = A && enemynear, StateType != C
statetype = S
physics = S

[State 151, 4]
type = ChangeState
trigger1 = HitOver
value = 130
ctrl = 1

;---------------------------------------------------------------------------
; Crouch guard hit (shaking)
[Statedef 152]
type    = C
movetype= H
physics = N
velset = 0,0

[State 152, 1]
type = ChangeAnim
trigger1 = 1
value = 151

[State 152, 3]
type = ChangeState
trigger1 = !var(7) ; AI Off
trigger1 = HitShakeOver
value = 151 + 2*(command = "holddown")

[State 152, 3]
type = ChangeState
trigger1 = var(7) ; AI On
trigger1 = HitShakeOver
value = 151 + 2*(enemynear, MoveType = A && enemynear, StateType = C)

[State 152, Hi to Lo]
type = StateTypeSet
triggerall = statetype = S
trigger1 = !var(7) ; AI Off
trigger1 = command = "holddown"
trigger2 = var(7)
; Opponent is attacking and crouching
trigger2 = enemynear, MoveType = A && enemynear, StateType = C
statetype = C
physics = C

[State 152, Lo to Hi]
type = StateTypeSet
triggerall = statetype = C
trigger1 = !var(7) ; AI Off
trigger1 = command != "holddown"
trigger2 = var(7)
; Opponent is attacking and not crouching, just to be safe from overheads
trigger2 = enemynear, MoveType = A && enemynear, StateType != C
statetype = S
physics = S

[State 152, 4]
type = ForceFeedback
trigger1 = time = 0
waveform = square
time = 4

;---------------------------------------------------------------------------
; Crouch guard hit (knocked back)
[Statedef 153]
type    = C
movetype= H
physics = C
anim = 151

[State 153, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1

[State 153, 2]
type = VelSet
trigger1 = Time = GetHitVar(slidetime)
trigger2 = HitOver
x = 0

[State 153, 3]
type = CtrlSet
trigger1 = Time = GetHitVar(ctrltime)
value = 1

[State 153, Hi to Lo]
type = StateTypeSet
triggerall = statetype = S
trigger1 = !var(7) ; AI Off
trigger1 = command = "holddown"
trigger2 = var(7)
; Opponent is attacking and crouching
trigger2 = enemynear, MoveType = A && enemynear, StateType = C
statetype = C
physics = C

[State 153, Lo to Hi]
type = StateTypeSet
triggerall = statetype = C
trigger1 = !var(7) ; AI Off
trigger1 = command != "holddown"
trigger2 = var(7)
; Opponent is attacking and not crouching, just to be safe from overheads
trigger2 = enemynear, MoveType = A && enemynear, StateType != C
statetype = S
physics = S

[State 153, 4]
type = ChangeState
trigger1 = HitOver
value = 131
ctrl = 1

;---------------------------------------------------------------------------
; Air guard hit (shaking)
[Statedef 154]
type    = A
movetype= H
physics = N
velset = 0,0

[State 154, 1]
type = ChangeAnim
trigger1 = 1
value = 152

[State 154, 2]
type = ChangeState
trigger1 = HitShakeOver
value = 155 ;AGUARDHIT2

[State 154, 3]
type = ForceFeedback
trigger1 = time = 0
waveform = square
time = 4

;---------------------------------------------------------------------------
; Air guard hit (knocked away)
[Statedef 155]
type    = A
movetype= H
physics = N
anim = 152

[State 155, 1]
type = HitVelSet
trigger1 = Time = 0
x = 1
y = 1

[State 155, 2]
type = VelAdd
trigger1 = 1
y = Const(movement.yaccel)

[State 155, 3]
type = CtrlSet
trigger1 = Time = GetHitVar(ctrltime)
value = 1

[State 155, 4]
type = VarSet
trigger1 = 1
sysvar(0) = (pos y >= 0) && (vel y > 0)

[State 155, 5]
type = VelSet
trigger1 = sysvar(0)
y = 0

[State 155, 6]
type = PosSet
trigger1 = sysvar(0)
y = 0

[State 155, 6]
type = ChangeState
triggerall = sysvar(0)
triggerall = inguarddist
trigger1 = !var(7) ; AI Off
trigger1 = command = "holdback"
trigger2 = var(7)
value = 130

[State 155, 7]
type = ChangeState
trigger1 = sysvar(0)
value = 52

;---------------------------------------------------------------------------
; Air get-hit (falling)
[Statedef 5050]
type    = A
movetype= H
physics = N

[State 5050, 1] ;Change anim when done with transition
type = ChangeAnim
trigger1 = AnimTime = 0
trigger1 = Anim = 5035
trigger2 = Time = 0     ;If no transition anim
trigger2 = Anim != 5035
trigger2 = (Anim != [5051, 5059]) && (Anim != [5061, 5069])
trigger2 = Anim != 5090 ;Not if hit off ground anim
value = 5050

[State 5050, 2] ;Coming down anim
type = ChangeAnim
trigger1 = anim = [5050,5059]
trigger1 = Vel Y >= ifelse(anim = 5050, Const720p(4), Const720p(-8))
trigger1 = SelfAnimExist(anim+10)
value = anim+10
persistent = 0

[State 5050, 3] ;Gravity
type = VelAdd
trigger1 = 1
y = GetHitVar(yaccel)

[State 5050, 4] ;Recover near ground
type = ChangeState
triggerall = Vel Y > 0
triggerall = Pos Y >= Const(movement.air.gethit.groundrecover.ground.threshold)
triggerall = alive
triggerall = CanRecover
trigger1 = !var(7) ; AI Off
trigger1 = Command = "recovery"
trigger2 = var(7)
trigger2 = Alive
trigger2 = random < (var(7) ** 3.3212) ; 0.1% to 99.9% chance per frame, AI1 to AI8
value = 5200 ;Air get-hit (fall recovery on ground)

[State 5050, 5]; Recover in mid air
type = ChangeState
triggerall = Vel Y > Const(movement.air.gethit.airrecover.threshold)
triggerall = alive
triggerall = CanRecover
trigger1 = !var(7) ; AI Off
trigger1 = Command = "recovery"
trigger2 = var(7)
trigger2 = Alive
trigger2 = random < (var(7) ** 3.3212) ; 0.1% to 99.9% chance per frame, AI1 to AI8
value = 5210 ;Air get-hit (fall recovery in air)

[State 5050, 6]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= ifelse((anim = [5051,5059]) || (anim = [5061,5069]), 0, Const(movement.air.gethit.groundlevel))
value = 5100 ;Downed get-hit (hit ground from fall)

;---------------------------------------------------------------------------
; Initialize (at the start of the round)
[Statedef 5900]
type = S

[State 5900, 1] ;Clear all int variables
type = VarRangeSet
trigger1 = roundsexisted = 0
value = 0

[State 5900, 2] ;Clear all float variables
type = VarRangeSet
trigger1 = roundsexisted = 0
fvalue = 0

[State 5900, 3] ;Change palette
type = RemapPal
trigger1 = 1
source = 1,1
dest = 1,palno

[State 196, Reset Meter Battery]
type = null ; Effectively VarSet
trigger1 = 1 || (var(50) := (var(50) - (var(50) & 2048)))
trigger1 = 1 || (var(50) := (var(50) - (var(50) & 4096))) ; Fade Out

[State 5900, Meter Battery]
type = VarSet 
trigger1 = NumEnemy
; If AI controlled and the secondary member of a team in 10p
; generate infinite meter instead of fighting
trigger1 = PalNo = 10
trigger1 = AILevel
trigger1 = TeamMode = Simul
trigger1 = partner, Alive
trigger1 = (partner, Id) < Id
var(50) = var(50) | 2048

[State 196, Fade out finished]
type = VarSet
trigger1 = var(50) & 2048
trigger1 = roundno > 1
var(50) = var(50) | 4096

[State 5900, 4] ;Intro for round 1
type = ChangeState
trigger1 = roundno = 1
value = 190

[State 196, Should be in meter battery mode]
type = ChangeState
trigger1 = (var(50) & 2048)
value = 196

[State 5900, 5] ;All other rounds
type = ChangeState
trigger1 = 1
value = 0


;---------------------------------------------------------------------------
; OHKO
;---------------------------------------------------------------------------

;--------------------------------------------------
; Finisher (Fall of the Phoenix)
[Statedef 6000]
type = S
movetype = A
Physics = N
anim = 410003
velset = 0,0
ctrl = 0

[State 0, SuperPause]
type = SuperPause
trigger1 = time = 1
time = 30
anim = 41000
sound = S20000,55
pos = 0,0
movetime = 0
darken = 1
p2defmul = 0
poweradd = 0
unhittable = 1

[State 0, AllPalFX]
type = AllPalFX
trigger1 = time = 5
time = 2
add = 256,256,256
mul = 256,256,256

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = time = 5
value = 410004

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time >= 240
flag = unguardable

[State 0, VarSet]
type = VarSet
trigger1 = time = 240
v = 20
value = 1

[State 0, HitDef]
type = HitDef
trigger1 = time >= 250
trigger1 = p2stateno != 6002
attr = S,NA        ;SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
hitflag = MAF        ;HLAFD+-
guardflag = MA         ;HLA
getpower = -9999999,-9999999
givepower = -9999999,-9999999
affectteam = B         ;B,E,F
animtype = light          ;light,medium,hard,back,up,diagup
air.animtype = light
priority = 4,Hit   ;Hit,Miss,Dodge
damage = 0,0
pausetime = 0,1000
sparkno = -1
guard.sparkno = -1
hitsound = -1
guardsound = -1
p2stateno = 6002

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time >= 250
flag = nomusic

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 250
value = S3100,11

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 261
value = S3100,13
loop = 1
pan = 1
channel = 4

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 250
value = S3100,7
volume = 100
channel = 2
freqmul = 1.0

[State 0, BGPalFX]
type = BGPalFX
trigger1 = time = 250
time = 700
add = 0,0,0
mul = 256-time*2,256-time*2,256-time*2

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time >= 250
flag = nobardisplay

[State 0, Helper]
type = Helper
trigger1 = time = 250
helpertype = normal ;player
name = "Comet"
ID = 6001
stateno = 6001
pos = -329,-1200 ;-500
postype = P1   ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 1
size.xscale = 2
size.yscale = 3

[State 0, Explod]
type = Explod
trigger1 = time = 300
anim = 410002
ID = 6001
pos = -329,-400
postype = p1  ;p2,front,back,left,right
bindtime = 1
removetime = -1
scale = 3,2
sprpriority = -5
ownpal = 1

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = time > 250
flag = nokosnd
persistent = 1

[State 0, TargetLifeAdd]
type = TargetLifeAdd
trigger1 = time = 1079
value = -999999999
kill = 1
absolute = 1

[State 0, ChangeState]
type = ChangeState
trigger1 = time = 1190
value = 183
ctrl = 1
;-----------------------------------------
; The Finisher (Comet)
[Statedef 6001]
type = S
movetype = A
physics = N
ctrl = 0
sprpriority = 999999999

[State 198:	Helper]
type			= Helper
trigger1		= time > 100 && (GameTime%5 = 0) && (Random < 499)
helpertype		= Normal
name			= "Rock000"
id			= 6032
pos			= 0,0
postype		= p1
facing		= 0
stateno		= 6032
keyctrl		= 0
ownpal		= 1
supermovetime	= 0
pausemovetime	= 0
size.xscale		= (IfElse(Random <= 499,0.75,3))
size.yscale		= (IfElse(Random <= 499,0.75,3))

[State 198:	Helper]
type			= Helper
trigger1		= time > 100 && (GameTime%5 = 0) && (Random < 749)
helpertype		= Normal
name			= "Rock001"
id			= 6033
pos			= 0,0
postype		= p1
facing		= 0
stateno		= 6033
keyctrl		= 0
ownpal		= 1
supermovetime	= 0
pausemovetime	= 0
size.xscale		= (IfElse(Random <= 499,0.75,0.50))
size.yscale		= (IfElse(Random <= 499,0.75,0.50))

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = time = 1
trigger2 = anim != 410001
value = 410001

[State 0, PosAdd]
type = PosAdd
trigger1 = time % 4 = 0
y = 3

[State 0, AllPalFX]
type = AllPalFX
trigger1 = time = 600
time = 500
add = 10,10,10
sinadd = 256,256,256,1000
color = 256

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time = 800

;-----------------------------------------
; The finisher (Victim)
[Statedef 6002]
type = A
movetype = H
physics = N
ctrl = 0
anim = 410005
velset = 0,0
sprpriority = 2

[State 0, ChangeAnim]
type = ChangeAnim
trigger1 = time = 1
trigger2 = anim != 410005
value = 410005

[State 0, VelSet]
type = PosAdd
triggerall = time < 57
trigger1 = time % 3 = 0
y = -3

[State 0, ChangeState]
type = ChangeState
trigger1 = Life <= 0
value = 6003
ctrl = 0

;-----------------------------------------
; The Finisher (Victim Destroyed)
[Statedef 6003]
type = S
movetype = I
SprPriority = 4
velset = 0
ctrl = 0

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = nokosnd
persistent = 1

;The invisibility part.
[State Inv, AssertSpecial]
type = AssertSpecial
trigger1 = time >= 1
flag = Invisible
persistent = 1

[state 7550,anim]
type = velset
trigger1 = time = 0
x = 0
y = 0

[state 7550,life]
type = posset
trigger1 = life = 0
y = -99999999

[state 7550,some]
type = SprPriority
trigger1 = time >= 1
value = -999999

[state 7550,some]
type = changestate
trigger1 = time = 10
value = 5150


;---------------------------------------------
; The Rocks (Finisher)
[Statedef 6032]
type 			= S
movetype		= I
physics		= N
anim			= 9080
;velset		= 0,0
ctrl			= 0
poweradd		= 0
juggle		= 0
facep2		= 0
hitdefpersist	= 0
movehitpersist	= 0
hitcountpersist	= 0
sprpriority		= 0

[State 6032:	SprPriority]
type			= SprPriority
trigger1		= (!Time)
value			= (IfElse(Random <= 499,3,-3))

[State 6032:	VarRandom]
type			= VarRandom
trigger1		= (!Time)
v			= 0
range			= -200,200

[State 6032:	PosSet]
type			= PosSet
trigger1		= (!Time)
x			= var(0)
y			= 0

[State 6032:	VelSet]
type			= VelSet
trigger1		= (Time = 1)
x			= (IfElse(Random <= 799,0,IfElse((Random = [800,900]),-0.2,0.2)))
y			= (IfElse(Random <= 499,-1,-2))

[State 6032:	VelAdd]
type			= VelAdd
trigger1		= (Parent, StateNo = 199)
y			= 1

[State 6032:	PlaySnd]
type			= PlaySnd
trigger1		= (!Time) && (Const(Size.XScale) <= 1)
value			= S2,2

[State 6032:	PlaySnd]
type			= PlaySnd
trigger1		= (!Time) && (Const(Size.XScale) > 1)
value			= S20000,15

[State 6032, EnvShake]
type = EnvShake
trigger1                = (!Time) && (Const(Size.XScale) > 1)
time                    = 20
freq                    = 120
ampl                    = -25
phase                   = 110
ignorehitpause          = 1
;persistent =

[State 6032, EnvShake]
type = EnvShake
trigger1                = (!Time) && (Const(Size.XScale) <= 1)
time                    = 10
freq                    = 50
ampl                    = -4
phase                   = 90
ignorehitpause          = 1
;persistent =

[State 6032:	PlaySnd]
type			= PlaySnd
trigger1		= (Pos Y >= 1)
value			= S1,9

[State 6032:	AfterImage]
type			= AfterImage
trigger1 		= (!Time)
time 			= 15
timegap		= 1
framegap 		= 2
length 		= 10
paladd 		= 0, 0, 0
palmul 		= .50, .50, .50
palcontrast 	= 110,110,110
trans 		= add

[State 6032:	DestroySelf]
type			= DestroySelf
trigger1		= (Pos Y < -210) || (Pos Y >= 1)


;---------------------------------------------
; The Rocks B (Finisher)
[Statedef 6033]
type 			= S
movetype		= I
physics		= N
anim			= 9090
;velset		= 0,0
ctrl			= 0
poweradd		= 0
juggle		= 0
facep2		= 0
hitdefpersist	= 0
movehitpersist	= 0
hitcountpersist	= 0
sprpriority		= 0

[State 7033:	SprPriority]
type			= SprPriority
trigger1		= (!Time)
value			= (IfElse(Random <= 499,3,-3))

[State 7033:	VarRandom]
type			= VarRandom
trigger1		= (!Time)
v			= 0
range			= -200,200

[State 7033:	PosSet]
type			= PosSet
trigger1		= (!Time)
x			= var(0)
y			= 0

[State 7033:	VelSet]
type			= VelSet
trigger1		= (Time = 1)
x			= (IfElse(Random <= 799,0,IfElse((Random = [800,900]),-0.2,0.2)))
y			= (IfElse(Random <= 499,-1.5,-2.5))

[State 7033:	VelAdd]
type			= VelAdd
trigger1		= (Parent, StateNo = 199)
y			= 1

[State 7033:	PlaySnd]
type			= PlaySnd
trigger1		= (!Time)
value			= S2,2

[State 7033:	PlaySnd]
type			= PlaySnd
trigger1		= (Pos Y >= 1)
value			= S1,9

[State 7033:	AfterImage]
type			= AfterImage
trigger1 		= (!Time)
time 			= 15
timegap		= 1
framegap 		= 2
length 		= 10
paladd 		= 0, 0, 0
palmul 		= .50, .50, .50
palcontrast 	= 110,110,110
trans 		= add

[State 7033:	DestroySelf]
type			= DestroySelf
trigger1		= (Pos Y < -210) || (Pos Y >= 1)